/*
   name:     UNO_XINTERFACES.REX
   purpose:  define the list of OOo interface classes
   author:   Rony G. Flatscher
   created:  20070115 00:09:35
   usage:    just require file, then call the routine "OOo.getInterfaceList" to retrieve the list

  license:

   ------------------------ Apache Version 2.0 license -------------------------
      Copyright (C) 2006 Rony G. Flatscher

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
   -----------------------------------------------------------------------------

D:\Programme\OpenOffice.org 2.1\program\classes>e:UNO_CREATE_INTERFACE_LIST.REX
            ridl.jar:   450 entries,   212 ( 47.1%)  being XInterface class(es)
           unoil.jar:  2067 entries,  1077 ( 52.1%)  being XInterface class(es)
            jurt.jar:    97 entries,     2 (  2.1%)  being XInterface class(es)
             juh.jar:    42 entries,     3 (  7.1%)  being XInterface class(es)
         sandbox.jar:    37 entries,     1 (  2.7%)  being XInterface class(es)
totals                 2693 entries,  1295 ( 48.1%)  being XInterface class(es)
*/

::ROUTINE UNO.getInterfaceList PUBLIC

   l=.list~of( -
		"com.sun.star.accessibility.XAccessible"                                   , ,   -- #    1 unoil.jar
		"com.sun.star.accessibility.XAccessibleAction"                             , ,   -- #    2 unoil.jar
		"com.sun.star.accessibility.XAccessibleComponent"                          , ,   -- #    3 unoil.jar
		"com.sun.star.accessibility.XAccessibleContext"                            , ,   -- #    4 unoil.jar
		"com.sun.star.accessibility.XAccessibleEditableText"                       , ,   -- #    5 unoil.jar
		"com.sun.star.accessibility.XAccessibleEventBroadcaster"                   , ,   -- #    6 unoil.jar
		"com.sun.star.accessibility.XAccessibleEventListener"                      , ,   -- #    7 unoil.jar
		"com.sun.star.accessibility.XAccessibleExtendedComponent"                  , ,   -- #    8 unoil.jar
		"com.sun.star.accessibility.XAccessibleHyperlink"                          , ,   -- #    9 unoil.jar
		"com.sun.star.accessibility.XAccessibleHypertext"                          , ,   -- #   10 unoil.jar
		"com.sun.star.accessibility.XAccessibleImage"                              , ,   -- #   11 unoil.jar
		"com.sun.star.accessibility.XAccessibleKeyBinding"                         , ,   -- #   12 unoil.jar
		"com.sun.star.accessibility.XAccessibleRelationSet"                        , ,   -- #   13 unoil.jar
		"com.sun.star.accessibility.XAccessibleSelection"                          , ,   -- #   14 unoil.jar
		"com.sun.star.accessibility.XAccessibleStateSet"                           , ,   -- #   15 unoil.jar
		"com.sun.star.accessibility.XAccessibleTable"                              , ,   -- #   16 unoil.jar
		"com.sun.star.accessibility.XAccessibleText"                               , ,   -- #   17 unoil.jar
		"com.sun.star.accessibility.XAccessibleTextAttributes"                     , ,   -- #   18 unoil.jar
		"com.sun.star.accessibility.XAccessibleValue"                              , ,   -- #   19 unoil.jar
		"com.sun.star.animations.XAnimate"                                         , ,   -- #   20 unoil.jar
		"com.sun.star.animations.XAnimateColor"                                    , ,   -- #   21 unoil.jar
		"com.sun.star.animations.XAnimateMotion"                                   , ,   -- #   22 unoil.jar
		"com.sun.star.animations.XAnimateSet"                                      , ,   -- #   23 unoil.jar
		"com.sun.star.animations.XAnimateTransform"                                , ,   -- #   24 unoil.jar
		"com.sun.star.animations.XAnimationNode"                                   , ,   -- #   25 unoil.jar
		"com.sun.star.animations.XAnimationNodeSupplier"                           , ,   -- #   26 unoil.jar
		"com.sun.star.animations.XAudio"                                           , ,   -- #   27 unoil.jar
		"com.sun.star.animations.XCommand"                                         , ,   -- #   28 unoil.jar
		"com.sun.star.animations.XIterateContainer"                                , ,   -- #   29 unoil.jar
		"com.sun.star.animations.XTargetPropertiesCreator"                         , ,   -- #   30 unoil.jar
		"com.sun.star.animations.XTimeContainer"                                   , ,   -- #   31 unoil.jar
		"com.sun.star.animations.XTransitionFilter"                                , ,   -- #   32 unoil.jar
		"com.sun.star.auth.XSSOAcceptorContext"                                    , ,   -- #   33 unoil.jar
		"com.sun.star.auth.XSSOContext"                                            , ,   -- #   34 unoil.jar
		"com.sun.star.auth.XSSOInitiatorContext"                                   , ,   -- #   35 unoil.jar
		"com.sun.star.auth.XSSOManager"                                            , ,   -- #   36 unoil.jar
		"com.sun.star.auth.XSSOManagerFactory"                                     , ,   -- #   37 unoil.jar
		"com.sun.star.auth.XSSOPasswordCache"                                      , ,   -- #   38 unoil.jar
		"com.sun.star.awt.XActionListener"                                         , ,   -- #   39 unoil.jar
		"com.sun.star.awt.XActivateListener"                                       , ,   -- #   40 unoil.jar
		"com.sun.star.awt.XAdjustmentListener"                                     , ,   -- #   41 unoil.jar
		"com.sun.star.awt.XBitmap"                                                 , ,   -- #   42 unoil.jar
		"com.sun.star.awt.XButton"                                                 , ,   -- #   43 unoil.jar
		"com.sun.star.awt.XCheckBox"                                               , ,   -- #   44 unoil.jar
		"com.sun.star.awt.XComboBox"                                               , ,   -- #   45 unoil.jar
		"com.sun.star.awt.XControl"                                                , ,   -- #   46 unoil.jar
		"com.sun.star.awt.XControlContainer"                                       , ,   -- #   47 unoil.jar
		"com.sun.star.awt.XControlModel"                                           , ,   -- #   48 unoil.jar
		"com.sun.star.awt.XCurrencyField"                                          , ,   -- #   49 unoil.jar
		"com.sun.star.awt.XDataTransferProviderAccess"                             , ,   -- #   50 unoil.jar
		"com.sun.star.awt.XDateField"                                              , ,   -- #   51 unoil.jar
		"com.sun.star.awt.XDevice"                                                 , ,   -- #   52 unoil.jar
		"com.sun.star.awt.XDialog"                                                 , ,   -- #   53 unoil.jar
		"com.sun.star.awt.XDialogEventHandler"                                     , ,   -- #   54 unoil.jar
		"com.sun.star.awt.XDialogProvider"                                         , ,   -- #   55 unoil.jar
		"com.sun.star.awt.XDialogProvider2"                                        , ,   -- #   56 unoil.jar
		"com.sun.star.awt.XDisplayBitmap"                                          , ,   -- #   57 unoil.jar
		"com.sun.star.awt.XDisplayConnection"                                      , ,   -- #   58 unoil.jar
		"com.sun.star.awt.XDockableWindow"                                         , ,   -- #   59 unoil.jar
		"com.sun.star.awt.XDockableWindowListener"                                 , ,   -- #   60 unoil.jar
		"com.sun.star.awt.XEnhancedMouseClickHandler"                              , ,   -- #   61 unoil.jar
		"com.sun.star.awt.XEventHandler"                                           , ,   -- #   62 unoil.jar
		"com.sun.star.awt.XExtendedToolkit"                                        , ,   -- #   63 unoil.jar
		"com.sun.star.awt.XFileDialog"                                             , ,   -- #   64 unoil.jar
		"com.sun.star.awt.XFixedText"                                              , ,   -- #   65 unoil.jar
		"com.sun.star.awt.XFocusListener"                                          , ,   -- #   66 unoil.jar
		"com.sun.star.awt.XFont"                                                   , ,   -- #   67 unoil.jar
		"com.sun.star.awt.XGraphics"                                               , ,   -- #   68 unoil.jar
		"com.sun.star.awt.XImageButton"                                            , ,   -- #   69 unoil.jar
		"com.sun.star.awt.XImageConsumer"                                          , ,   -- #   70 unoil.jar
		"com.sun.star.awt.XImageProducer"                                          , ,   -- #   71 unoil.jar
		"com.sun.star.awt.XInfoPrinter"                                            , ,   -- #   72 unoil.jar
		"com.sun.star.awt.XItemEventBroadcaster"                                   , ,   -- #   73 unoil.jar
		"com.sun.star.awt.XItemListener"                                           , ,   -- #   74 unoil.jar
		"com.sun.star.awt.XKeyHandler"                                             , ,   -- #   75 unoil.jar
		"com.sun.star.awt.XKeyListener"                                            , ,   -- #   76 unoil.jar
		"com.sun.star.awt.XLayoutConstrains"                                       , ,   -- #   77 unoil.jar
		"com.sun.star.awt.XListBox"                                                , ,   -- #   78 unoil.jar
		"com.sun.star.awt.XMenu"                                                   , ,   -- #   79 unoil.jar
		"com.sun.star.awt.XMenuBar"                                                , ,   -- #   80 unoil.jar
		"com.sun.star.awt.XMenuExtended"                                           , ,   -- #   81 unoil.jar
		"com.sun.star.awt.XMenuListener"                                           , ,   -- #   82 unoil.jar
		"com.sun.star.awt.XMessageBox"                                             , ,   -- #   83 unoil.jar
		"com.sun.star.awt.XMouseClickHandler"                                      , ,   -- #   84 unoil.jar
		"com.sun.star.awt.XMouseListener"                                          , ,   -- #   85 unoil.jar
		"com.sun.star.awt.XMouseMotionListener"                                    , ,   -- #   86 unoil.jar
		"com.sun.star.awt.XNumericField"                                           , ,   -- #   87 unoil.jar
		"com.sun.star.awt.XPaintListener"                                          , ,   -- #   88 unoil.jar
		"com.sun.star.awt.XPatternField"                                           , ,   -- #   89 unoil.jar
		"com.sun.star.awt.XPointer"                                                , ,   -- #   90 unoil.jar
		"com.sun.star.awt.XPopupMenu"                                              , ,   -- #   91 unoil.jar
		"com.sun.star.awt.XPrinter"                                                , ,   -- #   92 unoil.jar
		"com.sun.star.awt.XPrinterPropertySet"                                     , ,   -- #   93 unoil.jar
		"com.sun.star.awt.XPrinterServer"                                          , ,   -- #   94 unoil.jar
		"com.sun.star.awt.XProgressBar"                                            , ,   -- #   95 unoil.jar
		"com.sun.star.awt.XProgressMonitor"                                        , ,   -- #   96 unoil.jar
		"com.sun.star.awt.XRadioButton"                                            , ,   -- #   97 unoil.jar
		"com.sun.star.awt.XRegion"                                                 , ,   -- #   98 unoil.jar
		"com.sun.star.awt.XReschedule"                                             , ,   -- #   99 unoil.jar
		"com.sun.star.awt.XScrollBar"                                              , ,   -- #  100 unoil.jar
		"com.sun.star.awt.XSimpleTabController"                                    , ,   -- #  101 unoil.jar
		"com.sun.star.awt.XSpinField"                                              , ,   -- #  102 unoil.jar
		"com.sun.star.awt.XSpinListener"                                           , ,   -- #  103 unoil.jar
		"com.sun.star.awt.XSpinValue"                                              , ,   -- #  104 unoil.jar
		"com.sun.star.awt.XSystemChildFactory"                                     , ,   -- #  105 unoil.jar
		"com.sun.star.awt.XSystemDependentMenuPeer"                                , ,   -- #  106 unoil.jar
		"com.sun.star.awt.XSystemDependentWindowPeer"                              , ,   -- #  107 unoil.jar
		"com.sun.star.awt.XTabController"                                          , ,   -- #  108 unoil.jar
		"com.sun.star.awt.XTabControllerModel"                                     , ,   -- #  109 unoil.jar
		"com.sun.star.awt.XTabListener"                                            , ,   -- #  110 unoil.jar
		"com.sun.star.awt.XTextArea"                                               , ,   -- #  111 unoil.jar
		"com.sun.star.awt.XTextComponent"                                          , ,   -- #  112 unoil.jar
		"com.sun.star.awt.XTextEditField"                                          , ,   -- #  113 unoil.jar
		"com.sun.star.awt.XTextLayoutConstrains"                                   , ,   -- #  114 unoil.jar
		"com.sun.star.awt.XTextListener"                                           , ,   -- #  115 unoil.jar
		"com.sun.star.awt.XTimeField"                                              , ,   -- #  116 unoil.jar
		"com.sun.star.awt.XToggleButton"                                           , ,   -- #  117 unoil.jar
		"com.sun.star.awt.XToolkit"                                                , ,   -- #  118 unoil.jar
		"com.sun.star.awt.XTopWindow"                                              , ,   -- #  119 unoil.jar
		"com.sun.star.awt.XTopWindowListener"                                      , ,   -- #  120 unoil.jar
		"com.sun.star.awt.XUnoControlContainer"                                    , ,   -- #  121 unoil.jar
		"com.sun.star.awt.XUserInputInterception"                                  , ,   -- #  122 unoil.jar
		"com.sun.star.awt.XVclContainer"                                           , ,   -- #  123 unoil.jar
		"com.sun.star.awt.XVclContainerListener"                                   , ,   -- #  124 unoil.jar
		"com.sun.star.awt.XVclContainerPeer"                                       , ,   -- #  125 unoil.jar
		"com.sun.star.awt.XVclWindowPeer"                                          , ,   -- #  126 unoil.jar
		"com.sun.star.awt.XView"                                                   , ,   -- #  127 unoil.jar
		"com.sun.star.awt.XWindow"                                                 , ,   -- #  128 unoil.jar
		"com.sun.star.awt.XWindow2"                                                , ,   -- #  129 unoil.jar
		"com.sun.star.awt.XWindowListener"                                         , ,   -- #  130 unoil.jar
		"com.sun.star.awt.XWindowListener2"                                        , ,   -- #  131 unoil.jar
		"com.sun.star.awt.XWindowPeer"                                             , ,   -- #  132 unoil.jar
		"com.sun.star.beans.XExactName"                                            , ,   -- #  133 ridl.jar
		"com.sun.star.beans.XFastPropertySet"                                      , ,   -- #  134 ridl.jar
		"com.sun.star.beans.XHierarchicalPropertySet"                              , ,   -- #  135 ridl.jar
		"com.sun.star.beans.XHierarchicalPropertySetInfo"                          , ,   -- #  136 ridl.jar
		"com.sun.star.beans.XIntroTest"                                            , ,   -- #  137 ridl.jar
		"com.sun.star.beans.XIntrospection"                                        , ,   -- #  138 ridl.jar
		"com.sun.star.beans.XIntrospectionAccess"                                  , ,   -- #  139 ridl.jar
		"com.sun.star.beans.XMaterialHolder"                                       , ,   -- #  140 ridl.jar
		"com.sun.star.beans.XMultiHierarchicalPropertySet"                         , ,   -- #  141 ridl.jar
		"com.sun.star.beans.XMultiPropertySet"                                     , ,   -- #  142 ridl.jar
		"com.sun.star.beans.XMultiPropertyStates"                                  , ,   -- #  143 ridl.jar
		"com.sun.star.beans.XPropertiesChangeListener"                             , ,   -- #  144 ridl.jar
		"com.sun.star.beans.XPropertiesChangeNotifier"                             , ,   -- #  145 ridl.jar
		"com.sun.star.beans.XProperty"                                             , ,   -- #  146 ridl.jar
		"com.sun.star.beans.XPropertyAccess"                                       , ,   -- #  147 ridl.jar
		"com.sun.star.beans.XPropertyChangeListener"                               , ,   -- #  148 ridl.jar
		"com.sun.star.beans.XPropertyContainer"                                    , ,   -- #  149 ridl.jar
		"com.sun.star.beans.XPropertySet"                                          , ,   -- #  150 ridl.jar
		"com.sun.star.beans.XPropertySetInfo"                                      , ,   -- #  151 ridl.jar
		"com.sun.star.beans.XPropertySetInfoChangeListener"                        , ,   -- #  152 ridl.jar
		"com.sun.star.beans.XPropertySetInfoChangeNotifier"                        , ,   -- #  153 ridl.jar
		"com.sun.star.beans.XPropertyState"                                        , ,   -- #  154 ridl.jar
		"com.sun.star.beans.XPropertyStateChangeListener"                          , ,   -- #  155 ridl.jar
		"com.sun.star.beans.XPropertyWithState"                                    , ,   -- #  156 ridl.jar
		"com.sun.star.beans.XTolerantMultiPropertySet"                             , ,   -- #  157 ridl.jar
		"com.sun.star.beans.XVetoableChangeListener"                               , ,   -- #  158 ridl.jar
		"com.sun.star.bridge.XBridge"                                              , ,   -- #  159 ridl.jar
		"com.sun.star.bridge.XBridgeFactory"                                       , ,   -- #  160 ridl.jar
		"com.sun.star.bridge.XBridgeSupplier"                                      , ,   -- #  161 ridl.jar
		"com.sun.star.bridge.XBridgeSupplier2"                                     , ,   -- #  162 ridl.jar
		"com.sun.star.bridge.XInstanceProvider"                                    , ,   -- #  163 ridl.jar
		"com.sun.star.bridge.XProtocolProperties"                                  , ,   -- #  164 ridl.jar
		"com.sun.star.bridge.XUnoUrlResolver"                                      , ,   -- #  165 ridl.jar
		"com.sun.star.bridge.oleautomation.XAutomationObject"                      , ,   -- #  166 ridl.jar
		"com.sun.star.chart.X3DDisplay"                                            , ,   -- #  167 unoil.jar
		"com.sun.star.chart.XAxisXSupplier"                                        , ,   -- #  168 unoil.jar
		"com.sun.star.chart.XAxisYSupplier"                                        , ,   -- #  169 unoil.jar
		"com.sun.star.chart.XAxisZSupplier"                                        , ,   -- #  170 unoil.jar
		"com.sun.star.chart.XChartData"                                            , ,   -- #  171 unoil.jar
		"com.sun.star.chart.XChartDataArray"                                       , ,   -- #  172 unoil.jar
		"com.sun.star.chart.XChartDataChangeEventListener"                         , ,   -- #  173 unoil.jar
		"com.sun.star.chart.XChartDocument"                                        , ,   -- #  174 unoil.jar
		"com.sun.star.chart.XDiagram"                                              , ,   -- #  175 unoil.jar
		"com.sun.star.chart.XStatisticDisplay"                                     , ,   -- #  176 unoil.jar
		"com.sun.star.chart.XTwoAxisXSupplier"                                     , ,   -- #  177 unoil.jar
		"com.sun.star.chart.XTwoAxisYSupplier"                                     , ,   -- #  178 unoil.jar
		"com.sun.star.chart2.XDataChangeListener"                                  , ,   -- #  179 unoil.jar
		"com.sun.star.chart2.XDataInterpretation"                                  , ,   -- #  180 unoil.jar
		"com.sun.star.chart2.XDataProvider"                                        , ,   -- #  181 unoil.jar
		"com.sun.star.chart2.XDataReceiver"                                        , ,   -- #  182 unoil.jar
		"com.sun.star.chart2.XDataSequence"                                        , ,   -- #  183 unoil.jar
		"com.sun.star.chart2.XDataSink"                                            , ,   -- #  184 unoil.jar
		"com.sun.star.chart2.XDataSource"                                          , ,   -- #  185 unoil.jar
		"com.sun.star.chart2.XNumericalDataSequence"                               , ,   -- #  186 unoil.jar
		"com.sun.star.chart2.XTextualDataSequence"                                 , ,   -- #  187 unoil.jar
		"com.sun.star.configuration.XTemplateContainer"                            , ,   -- #  188 unoil.jar
		"com.sun.star.configuration.XTemplateInstance"                             , ,   -- #  189 unoil.jar
		"com.sun.star.configuration.backend.XBackend"                              , ,   -- #  190 unoil.jar
		"com.sun.star.configuration.backend.XBackendChangesListener"               , ,   -- #  191 unoil.jar
		"com.sun.star.configuration.backend.XBackendChangesNotifier"               , ,   -- #  192 unoil.jar
		"com.sun.star.configuration.backend.XBackendEntities"                      , ,   -- #  193 unoil.jar
		"com.sun.star.configuration.backend.XCompositeLayer"                       , ,   -- #  194 unoil.jar
		"com.sun.star.configuration.backend.XLayer"                                , ,   -- #  195 unoil.jar
		"com.sun.star.configuration.backend.XLayerContentDescriber"                , ,   -- #  196 unoil.jar
		"com.sun.star.configuration.backend.XLayerHandler"                         , ,   -- #  197 unoil.jar
		"com.sun.star.configuration.backend.XLayerImporter"                        , ,   -- #  198 unoil.jar
		"com.sun.star.configuration.backend.XMultiLayerStratum"                    , ,   -- #  199 unoil.jar
		"com.sun.star.configuration.backend.XSchema"                               , ,   -- #  200 unoil.jar
		"com.sun.star.configuration.backend.XSchemaHandler"                        , ,   -- #  201 unoil.jar
		"com.sun.star.configuration.backend.XSchemaSupplier"                       , ,   -- #  202 unoil.jar
		"com.sun.star.configuration.backend.XSingleLayerStratum"                   , ,   -- #  203 unoil.jar
		"com.sun.star.configuration.backend.XUpdatableLayer"                       , ,   -- #  204 unoil.jar
		"com.sun.star.configuration.backend.XUpdateHandler"                        , ,   -- #  205 unoil.jar
		"com.sun.star.configuration.backend.XVersionedSchemaSupplier"              , ,   -- #  206 unoil.jar
		"com.sun.star.connection.XAcceptor"                                        , ,   -- #  207 ridl.jar
		"com.sun.star.connection.XConnection"                                      , ,   -- #  208 ridl.jar
		"com.sun.star.connection.XConnection2"                                     , ,   -- #  209 ridl.jar
		"com.sun.star.connection.XConnectionBroadcaster"                           , ,   -- #  210 ridl.jar
		"com.sun.star.connection.XConnector"                                       , ,   -- #  211 ridl.jar
		"com.sun.star.container.XChild"                                            , ,   -- #  212 ridl.jar
		"com.sun.star.container.XComponentEnumeration"                             , ,   -- #  213 ridl.jar
		"com.sun.star.container.XComponentEnumerationAccess"                       , ,   -- #  214 ridl.jar
		"com.sun.star.container.XContainer"                                        , ,   -- #  215 ridl.jar
		"com.sun.star.container.XContainerApproveBroadcaster"                      , ,   -- #  216 ridl.jar
		"com.sun.star.container.XContainerApproveListener"                         , ,   -- #  217 ridl.jar
		"com.sun.star.container.XContainerListener"                                , ,   -- #  218 ridl.jar
		"com.sun.star.container.XContainerQuery"                                   , ,   -- #  219 ridl.jar
		"com.sun.star.container.XContentEnumerationAccess"                         , ,   -- #  220 ridl.jar
		"com.sun.star.container.XElementAccess"                                    , ,   -- #  221 ridl.jar
		"com.sun.star.container.XEnumeration"                                      , ,   -- #  222 ridl.jar
		"com.sun.star.container.XEnumerationAccess"                                , ,   -- #  223 ridl.jar
		"com.sun.star.container.XHierarchicalName"                                 , ,   -- #  224 ridl.jar
		"com.sun.star.container.XHierarchicalNameAccess"                           , ,   -- #  225 ridl.jar
		"com.sun.star.container.XHierarchicalNameContainer"                        , ,   -- #  226 ridl.jar
		"com.sun.star.container.XHierarchicalNameReplace"                          , ,   -- #  227 ridl.jar
		"com.sun.star.container.XIdentifierAccess"                                 , ,   -- #  228 ridl.jar
		"com.sun.star.container.XIdentifierContainer"                              , ,   -- #  229 ridl.jar
		"com.sun.star.container.XIdentifierReplace"                                , ,   -- #  230 ridl.jar
		"com.sun.star.container.XImplicitIDAccess"                                 , ,   -- #  231 ridl.jar
		"com.sun.star.container.XImplicitIDContainer"                              , ,   -- #  232 ridl.jar
		"com.sun.star.container.XImplicitIDReplace"                                , ,   -- #  233 ridl.jar
		"com.sun.star.container.XIndexAccess"                                      , ,   -- #  234 ridl.jar
		"com.sun.star.container.XIndexContainer"                                   , ,   -- #  235 ridl.jar
		"com.sun.star.container.XIndexReplace"                                     , ,   -- #  236 ridl.jar
		"com.sun.star.container.XNameAccess"                                       , ,   -- #  237 ridl.jar
		"com.sun.star.container.XNameContainer"                                    , ,   -- #  238 ridl.jar
		"com.sun.star.container.XNameReplace"                                      , ,   -- #  239 ridl.jar
		"com.sun.star.container.XNamed"                                            , ,   -- #  240 ridl.jar
		"com.sun.star.container.XSet"                                              , ,   -- #  241 ridl.jar
		"com.sun.star.container.XUniqueIDAccess"                                   , ,   -- #  242 ridl.jar
		"com.sun.star.datatransfer.XDataFormatTranslator"                          , ,   -- #  243 unoil.jar
		"com.sun.star.datatransfer.XMimeContentType"                               , ,   -- #  244 unoil.jar
		"com.sun.star.datatransfer.XMimeContentTypeFactory"                        , ,   -- #  245 unoil.jar
		"com.sun.star.datatransfer.XSystemTransferable"                            , ,   -- #  246 unoil.jar
		"com.sun.star.datatransfer.XTransferDataAccess"                            , ,   -- #  247 unoil.jar
		"com.sun.star.datatransfer.XTransferable"                                  , ,   -- #  248 unoil.jar
		"com.sun.star.datatransfer.XTransferableEx"                                , ,   -- #  249 unoil.jar
		"com.sun.star.datatransfer.XTransferableSource"                            , ,   -- #  250 unoil.jar
		"com.sun.star.datatransfer.XTransferableSupplier"                          , ,   -- #  251 unoil.jar
		"com.sun.star.datatransfer.clipboard.XClipboard"                           , ,   -- #  252 unoil.jar
		"com.sun.star.datatransfer.clipboard.XClipboardEx"                         , ,   -- #  253 unoil.jar
		"com.sun.star.datatransfer.clipboard.XClipboardFactory"                    , ,   -- #  254 unoil.jar
		"com.sun.star.datatransfer.clipboard.XClipboardListener"                   , ,   -- #  255 unoil.jar
		"com.sun.star.datatransfer.clipboard.XClipboardManager"                    , ,   -- #  256 unoil.jar
		"com.sun.star.datatransfer.clipboard.XClipboardNotifier"                   , ,   -- #  257 unoil.jar
		"com.sun.star.datatransfer.clipboard.XClipboardOwner"                      , ,   -- #  258 unoil.jar
		"com.sun.star.datatransfer.clipboard.XFlushableClipboard"                  , ,   -- #  259 unoil.jar
		"com.sun.star.datatransfer.dnd.XAutoscroll"                                , ,   -- #  260 unoil.jar
		"com.sun.star.datatransfer.dnd.XDragGestureListener"                       , ,   -- #  261 unoil.jar
		"com.sun.star.datatransfer.dnd.XDragGestureRecognizer"                     , ,   -- #  262 unoil.jar
		"com.sun.star.datatransfer.dnd.XDragSource"                                , ,   -- #  263 unoil.jar
		"com.sun.star.datatransfer.dnd.XDragSourceContext"                         , ,   -- #  264 unoil.jar
		"com.sun.star.datatransfer.dnd.XDragSourceListener"                        , ,   -- #  265 unoil.jar
		"com.sun.star.datatransfer.dnd.XDropTarget"                                , ,   -- #  266 unoil.jar
		"com.sun.star.datatransfer.dnd.XDropTargetDragContext"                     , ,   -- #  267 unoil.jar
		"com.sun.star.datatransfer.dnd.XDropTargetDropContext"                     , ,   -- #  268 unoil.jar
		"com.sun.star.datatransfer.dnd.XDropTargetListener"                        , ,   -- #  269 unoil.jar
		"com.sun.star.deployment.XPackage"                                         , ,   -- #  270 unoil.jar
		"com.sun.star.deployment.XPackageManager"                                  , ,   -- #  271 unoil.jar
		"com.sun.star.deployment.XPackageManagerFactory"                           , ,   -- #  272 unoil.jar
		"com.sun.star.deployment.XPackageRegistry"                                 , ,   -- #  273 unoil.jar
		"com.sun.star.deployment.XPackageTypeInfo"                                 , ,   -- #  274 unoil.jar
		"com.sun.star.document.XActionLockable"                                    , ,   -- #  275 unoil.jar
		"com.sun.star.document.XBinaryStreamResolver"                              , ,   -- #  276 unoil.jar
		"com.sun.star.document.XDocumentInfo"                                      , ,   -- #  277 unoil.jar
		"com.sun.star.document.XDocumentInfoSupplier"                              , ,   -- #  278 unoil.jar
		"com.sun.star.document.XDocumentInsertable"                                , ,   -- #  279 unoil.jar
		"com.sun.star.document.XDocumentRevisionListPersistence"                   , ,   -- #  280 unoil.jar
		"com.sun.star.document.XDocumentSubStorageSupplier"                        , ,   -- #  281 unoil.jar
		"com.sun.star.document.XEmbeddedObjectResolver"                            , ,   -- #  282 unoil.jar
		"com.sun.star.document.XEmbeddedObjectSupplier"                            , ,   -- #  283 unoil.jar
		"com.sun.star.document.XEmbeddedObjectSupplier2"                           , ,   -- #  284 unoil.jar
		"com.sun.star.document.XEventBroadcaster"                                  , ,   -- #  285 unoil.jar
		"com.sun.star.document.XEventListener"                                     , ,   -- #  286 unoil.jar
		"com.sun.star.document.XEventsSupplier"                                    , ,   -- #  287 unoil.jar
		"com.sun.star.document.XExporter"                                          , ,   -- #  288 unoil.jar
		"com.sun.star.document.XExtendedFilterDetection"                           , ,   -- #  289 unoil.jar
		"com.sun.star.document.XFilter"                                            , ,   -- #  290 unoil.jar
		"com.sun.star.document.XFilterAdapter"                                     , ,   -- #  291 unoil.jar
		"com.sun.star.document.XGraphicObjectResolver"                             , ,   -- #  292 unoil.jar
		"com.sun.star.document.XImporter"                                          , ,   -- #  293 unoil.jar
		"com.sun.star.document.XInteractionFilterOptions"                          , ,   -- #  294 unoil.jar
		"com.sun.star.document.XInteractionFilterSelect"                           , ,   -- #  295 unoil.jar
		"com.sun.star.document.XLinkTargetSupplier"                                , ,   -- #  296 unoil.jar
		"com.sun.star.document.XMimeTypeInfo"                                      , ,   -- #  297 unoil.jar
		"com.sun.star.document.XRedlinesSupplier"                                  , ,   -- #  298 unoil.jar
		"com.sun.star.document.XStandaloneDocumentInfo"                            , ,   -- #  299 unoil.jar
		"com.sun.star.document.XStorageBasedDocument"                              , ,   -- #  300 unoil.jar
		"com.sun.star.document.XStorageChangeListener"                             , ,   -- #  301 unoil.jar
		"com.sun.star.document.XTypeDetection"                                     , ,   -- #  302 unoil.jar
		"com.sun.star.document.XViewDataSupplier"                                  , ,   -- #  303 unoil.jar
		"com.sun.star.drawing.XConnectableShape"                                   , ,   -- #  304 unoil.jar
		"com.sun.star.drawing.XConnectorShape"                                     , ,   -- #  305 unoil.jar
		"com.sun.star.drawing.XControlShape"                                       , ,   -- #  306 unoil.jar
		"com.sun.star.drawing.XCustomShapeEngine"                                  , ,   -- #  307 unoil.jar
		"com.sun.star.drawing.XCustomShapeHandle"                                  , ,   -- #  308 unoil.jar
		"com.sun.star.drawing.XDrawPage"                                           , ,   -- #  309 unoil.jar
		"com.sun.star.drawing.XDrawPageDuplicator"                                 , ,   -- #  310 unoil.jar
		"com.sun.star.drawing.XDrawPageExpander"                                   , ,   -- #  311 unoil.jar
		"com.sun.star.drawing.XDrawPageSummarizer"                                 , ,   -- #  312 unoil.jar
		"com.sun.star.drawing.XDrawPageSupplier"                                   , ,   -- #  313 unoil.jar
		"com.sun.star.drawing.XDrawPages"                                          , ,   -- #  314 unoil.jar
		"com.sun.star.drawing.XDrawPagesSupplier"                                  , ,   -- #  315 unoil.jar
		"com.sun.star.drawing.XDrawView"                                           , ,   -- #  316 unoil.jar
		"com.sun.star.drawing.XGluePointsSupplier"                                 , ,   -- #  317 unoil.jar
/* ---> [com.sun.star.drawing.XLayer]: class name [XLayer] in use already! (com.sun.star.configuration.backend.XLayer) */ -
		"com.sun.star.drawing.XLayer"                                              , ,   -- #  318 unoil.jar
		"com.sun.star.drawing.XLayerManager"                                       , ,   -- #  319 unoil.jar
		"com.sun.star.drawing.XLayerSupplier"                                      , ,   -- #  320 unoil.jar
		"com.sun.star.drawing.XMasterPageTarget"                                   , ,   -- #  321 unoil.jar
		"com.sun.star.drawing.XMasterPagesSupplier"                                , ,   -- #  322 unoil.jar
		"com.sun.star.drawing.XShape"                                              , ,   -- #  323 unoil.jar
		"com.sun.star.drawing.XShapeAligner"                                       , ,   -- #  324 unoil.jar
		"com.sun.star.drawing.XShapeArranger"                                      , ,   -- #  325 unoil.jar
		"com.sun.star.drawing.XShapeBinder"                                        , ,   -- #  326 unoil.jar
		"com.sun.star.drawing.XShapeCombiner"                                      , ,   -- #  327 unoil.jar
		"com.sun.star.drawing.XShapeDescriptor"                                    , ,   -- #  328 unoil.jar
		"com.sun.star.drawing.XShapeGroup"                                         , ,   -- #  329 unoil.jar
		"com.sun.star.drawing.XShapeGrouper"                                       , ,   -- #  330 unoil.jar
		"com.sun.star.drawing.XShapeMirror"                                        , ,   -- #  331 unoil.jar
		"com.sun.star.drawing.XShapes"                                             , ,   -- #  332 unoil.jar
		"com.sun.star.drawing.XUniversalShapeDescriptor"                           , ,   -- #  333 unoil.jar
		"com.sun.star.embed.XActionsApproval"                                      , ,   -- #  334 unoil.jar
		"com.sun.star.embed.XClassifiedObject"                                     , ,   -- #  335 unoil.jar
		"com.sun.star.embed.XCommonEmbedPersist"                                   , ,   -- #  336 unoil.jar
		"com.sun.star.embed.XComponentSupplier"                                    , ,   -- #  337 unoil.jar
		"com.sun.star.embed.XEmbedObjectClipboardCreator"                          , ,   -- #  338 unoil.jar
		"com.sun.star.embed.XEmbedObjectCreator"                                   , ,   -- #  339 unoil.jar
		"com.sun.star.embed.XEmbedObjectFactory"                                   , ,   -- #  340 unoil.jar
		"com.sun.star.embed.XEmbedPersist"                                         , ,   -- #  341 unoil.jar
		"com.sun.star.embed.XEmbeddedClient"                                       , ,   -- #  342 unoil.jar
		"com.sun.star.embed.XEmbeddedObject"                                       , ,   -- #  343 unoil.jar
		"com.sun.star.embed.XEncryptionProtectedSource"                            , ,   -- #  344 unoil.jar
		"com.sun.star.embed.XExtendedStorageStream"                                , ,   -- #  345 unoil.jar
		"com.sun.star.embed.XHatchWindow"                                          , ,   -- #  346 unoil.jar
		"com.sun.star.embed.XHatchWindowController"                                , ,   -- #  347 unoil.jar
		"com.sun.star.embed.XHatchWindowFactory"                                   , ,   -- #  348 unoil.jar
		"com.sun.star.embed.XHierarchicalStorageAccess"                            , ,   -- #  349 unoil.jar
		"com.sun.star.embed.XInplaceClient"                                        , ,   -- #  350 unoil.jar
		"com.sun.star.embed.XInplaceObject"                                        , ,   -- #  351 unoil.jar
		"com.sun.star.embed.XInsertObjectDialog"                                   , ,   -- #  352 unoil.jar
		"com.sun.star.embed.XLinkCreator"                                          , ,   -- #  353 unoil.jar
		"com.sun.star.embed.XLinkFactory"                                          , ,   -- #  354 unoil.jar
		"com.sun.star.embed.XLinkageSupport"                                       , ,   -- #  355 unoil.jar
		"com.sun.star.embed.XOptimizedStorage"                                     , ,   -- #  356 unoil.jar
		"com.sun.star.embed.XPackageStructureCreator"                              , ,   -- #  357 unoil.jar
		"com.sun.star.embed.XPersistanceHolder"                                    , ,   -- #  358 unoil.jar
		"com.sun.star.embed.XRelationshipAccess"                                   , ,   -- #  359 unoil.jar
		"com.sun.star.embed.XStateChangeBroadcaster"                               , ,   -- #  360 unoil.jar
		"com.sun.star.embed.XStateChangeListener"                                  , ,   -- #  361 unoil.jar
		"com.sun.star.embed.XStorage"                                              , ,   -- #  362 unoil.jar
		"com.sun.star.embed.XStorageRawAccess"                                     , ,   -- #  363 unoil.jar
		"com.sun.star.embed.XTransactedObject"                                     , ,   -- #  364 unoil.jar
		"com.sun.star.embed.XTransactionBroadcaster"                               , ,   -- #  365 unoil.jar
		"com.sun.star.embed.XTransactionListener"                                  , ,   -- #  366 unoil.jar
/* ---> [com.sun.star.embed.XTransferableSupplier]: class name [XTransferableSupplier] in use already! (com.sun.star.datatransfer.XTransferableSupplier) */ -
		"com.sun.star.embed.XTransferableSupplier"                                 , ,   -- #  367 unoil.jar
		"com.sun.star.embed.XVisualObject"                                         , ,   -- #  368 unoil.jar
		"com.sun.star.embed.XWindowSupplier"                                       , ,   -- #  369 unoil.jar
		"com.sun.star.form.XApproveActionBroadcaster"                              , ,   -- #  370 unoil.jar
		"com.sun.star.form.XApproveActionListener"                                 , ,   -- #  371 unoil.jar
		"com.sun.star.form.XBoundComponent"                                        , ,   -- #  372 unoil.jar
		"com.sun.star.form.XBoundControl"                                          , ,   -- #  373 unoil.jar
		"com.sun.star.form.XChangeBroadcaster"                                     , ,   -- #  374 unoil.jar
		"com.sun.star.form.XChangeListener"                                        , ,   -- #  375 unoil.jar
		"com.sun.star.form.XConfirmDeleteBroadcaster"                              , ,   -- #  376 unoil.jar
		"com.sun.star.form.XConfirmDeleteListener"                                 , ,   -- #  377 unoil.jar
		"com.sun.star.form.XDatabaseParameterBroadcaster"                          , ,   -- #  378 unoil.jar
		"com.sun.star.form.XDatabaseParameterBroadcaster2"                         , ,   -- #  379 unoil.jar
		"com.sun.star.form.XDatabaseParameterListener"                             , ,   -- #  380 unoil.jar
		"com.sun.star.form.XDeleteListener"                                        , ,   -- #  381 unoil.jar
		"com.sun.star.form.XErrorBroadcaster"                                      , ,   -- #  382 unoil.jar
		"com.sun.star.form.XErrorListener"                                         , ,   -- #  383 unoil.jar
		"com.sun.star.form.XForm"                                                  , ,   -- #  384 unoil.jar
		"com.sun.star.form.XFormComponent"                                         , ,   -- #  385 unoil.jar
		"com.sun.star.form.XFormController"                                        , ,   -- #  386 unoil.jar
		"com.sun.star.form.XFormControllerListener"                                , ,   -- #  387 unoil.jar
		"com.sun.star.form.XFormsSupplier"                                         , ,   -- #  388 unoil.jar
		"com.sun.star.form.XFormsSupplier2"                                        , ,   -- #  389 unoil.jar
		"com.sun.star.form.XGrid"                                                  , ,   -- #  390 unoil.jar
		"com.sun.star.form.XGridColumnFactory"                                     , ,   -- #  391 unoil.jar
		"com.sun.star.form.XGridFieldDataSupplier"                                 , ,   -- #  392 unoil.jar
		"com.sun.star.form.XGridPeer"                                              , ,   -- #  393 unoil.jar
		"com.sun.star.form.XImageProducerSupplier"                                 , ,   -- #  394 unoil.jar
		"com.sun.star.form.XInsertListener"                                        , ,   -- #  395 unoil.jar
		"com.sun.star.form.XLoadListener"                                          , ,   -- #  396 unoil.jar
		"com.sun.star.form.XLoadable"                                              , ,   -- #  397 unoil.jar
		"com.sun.star.form.XPositioningListener"                                   , ,   -- #  398 unoil.jar
		"com.sun.star.form.XReset"                                                 , ,   -- #  399 unoil.jar
		"com.sun.star.form.XResetListener"                                         , ,   -- #  400 unoil.jar
		"com.sun.star.form.XRestoreListener"                                       , ,   -- #  401 unoil.jar
		"com.sun.star.form.XSubmit"                                                , ,   -- #  402 unoil.jar
		"com.sun.star.form.XSubmitListener"                                        , ,   -- #  403 unoil.jar
		"com.sun.star.form.XUpdateBroadcaster"                                     , ,   -- #  404 unoil.jar
		"com.sun.star.form.XUpdateListener"                                        , ,   -- #  405 unoil.jar
		"com.sun.star.form.binding.XBindableValue"                                 , ,   -- #  406 unoil.jar
		"com.sun.star.form.binding.XListEntryListener"                             , ,   -- #  407 unoil.jar
		"com.sun.star.form.binding.XListEntrySink"                                 , ,   -- #  408 unoil.jar
		"com.sun.star.form.binding.XListEntrySource"                               , ,   -- #  409 unoil.jar
		"com.sun.star.form.binding.XValueBinding"                                  , ,   -- #  410 unoil.jar
		"com.sun.star.form.submission.XSubmission"                                 , ,   -- #  411 unoil.jar
		"com.sun.star.form.submission.XSubmissionSupplier"                         , ,   -- #  412 unoil.jar
		"com.sun.star.form.submission.XSubmissionVetoListener"                     , ,   -- #  413 unoil.jar
		"com.sun.star.form.validation.XFormComponentValidityListener"              , ,   -- #  414 unoil.jar
		"com.sun.star.form.validation.XValidatable"                                , ,   -- #  415 unoil.jar
		"com.sun.star.form.validation.XValidatableFormComponent"                   , ,   -- #  416 unoil.jar
		"com.sun.star.form.validation.XValidator"                                  , ,   -- #  417 unoil.jar
		"com.sun.star.form.validation.XValidityConstraintListener"                 , ,   -- #  418 unoil.jar
		"com.sun.star.frame.XBorderResizeListener"                                 , ,   -- #  419 unoil.jar
		"com.sun.star.frame.XBrowseHistoryRegistry"                                , ,   -- #  420 unoil.jar
		"com.sun.star.frame.XComponentLoader"                                      , ,   -- #  421 unoil.jar
		"com.sun.star.frame.XComponentRegistry"                                    , ,   -- #  422 unoil.jar
		"com.sun.star.frame.XConfigManager"                                        , ,   -- #  423 unoil.jar
		"com.sun.star.frame.XControlNotificationListener"                          , ,   -- #  424 unoil.jar
		"com.sun.star.frame.XController"                                           , ,   -- #  425 unoil.jar
		"com.sun.star.frame.XControllerBorder"                                     , ,   -- #  426 unoil.jar
		"com.sun.star.frame.XDesktop"                                              , ,   -- #  427 unoil.jar
		"com.sun.star.frame.XDesktopTask"                                          , ,   -- #  428 unoil.jar
		"com.sun.star.frame.XDispatch"                                             , ,   -- #  429 unoil.jar
		"com.sun.star.frame.XDispatchHelper"                                       , ,   -- #  430 unoil.jar
		"com.sun.star.frame.XDispatchInformationProvider"                          , ,   -- #  431 unoil.jar
		"com.sun.star.frame.XDispatchProvider"                                     , ,   -- #  432 unoil.jar
		"com.sun.star.frame.XDispatchProviderInterception"                         , ,   -- #  433 unoil.jar
		"com.sun.star.frame.XDispatchProviderInterceptor"                          , ,   -- #  434 unoil.jar
		"com.sun.star.frame.XDispatchRecorder"                                     , ,   -- #  435 unoil.jar
		"com.sun.star.frame.XDispatchRecorderSupplier"                             , ,   -- #  436 unoil.jar
		"com.sun.star.frame.XDispatchResultListener"                               , ,   -- #  437 unoil.jar
		"com.sun.star.frame.XDocumentTemplates"                                    , ,   -- #  438 unoil.jar
/* ---> [com.sun.star.frame.XExtendedFilterDetection]: class name [XExtendedFilterDetection] in use already! (com.sun.star.document.XExtendedFilterDetection) */ -
		"com.sun.star.frame.XExtendedFilterDetection"                              , ,   -- #  439 unoil.jar
		"com.sun.star.frame.XFilterDetect"                                         , ,   -- #  440 unoil.jar
		"com.sun.star.frame.XFrame"                                                , ,   -- #  441 unoil.jar
		"com.sun.star.frame.XFrameActionListener"                                  , ,   -- #  442 unoil.jar
		"com.sun.star.frame.XFrameLoader"                                          , ,   -- #  443 unoil.jar
		"com.sun.star.frame.XFrameLoaderQuery"                                     , ,   -- #  444 unoil.jar
		"com.sun.star.frame.XFrameSetModel"                                        , ,   -- #  445 unoil.jar
		"com.sun.star.frame.XFrames"                                               , ,   -- #  446 unoil.jar
		"com.sun.star.frame.XFramesSupplier"                                       , ,   -- #  447 unoil.jar
		"com.sun.star.frame.XInplaceLayout"                                        , ,   -- #  448 unoil.jar
		"com.sun.star.frame.XInterceptorInfo"                                      , ,   -- #  449 unoil.jar
		"com.sun.star.frame.XLayoutManager"                                        , ,   -- #  450 unoil.jar
		"com.sun.star.frame.XLayoutManagerEventBroadcaster"                        , ,   -- #  451 unoil.jar
		"com.sun.star.frame.XLayoutManagerListener"                                , ,   -- #  452 unoil.jar
		"com.sun.star.frame.XLoadEventListener"                                    , ,   -- #  453 unoil.jar
/* ---> [com.sun.star.frame.XLoadable]: class name [XLoadable] in use already! (com.sun.star.form.XLoadable) */ -
		"com.sun.star.frame.XLoadable"                                             , ,   -- #  454 unoil.jar
		"com.sun.star.frame.XMenuBarAcceptor"                                      , ,   -- #  455 unoil.jar
		"com.sun.star.frame.XMenuBarMergingAcceptor"                               , ,   -- #  456 unoil.jar
		"com.sun.star.frame.XModel"                                                , ,   -- #  457 unoil.jar
		"com.sun.star.frame.XModuleManager"                                        , ,   -- #  458 unoil.jar
		"com.sun.star.frame.XNotifyingDispatch"                                    , ,   -- #  459 unoil.jar
		"com.sun.star.frame.XPopupMenuController"                                  , ,   -- #  460 unoil.jar
		"com.sun.star.frame.XRecordableDispatch"                                   , ,   -- #  461 unoil.jar
		"com.sun.star.frame.XSessionManagerClient"                                 , ,   -- #  462 unoil.jar
		"com.sun.star.frame.XSessionManagerListener"                               , ,   -- #  463 unoil.jar
		"com.sun.star.frame.XStatusListener"                                       , ,   -- #  464 unoil.jar
		"com.sun.star.frame.XStatusbarController"                                  , ,   -- #  465 unoil.jar
		"com.sun.star.frame.XStorable"                                             , ,   -- #  466 unoil.jar
		"com.sun.star.frame.XStorable2"                                            , ,   -- #  467 unoil.jar
		"com.sun.star.frame.XSubToolbarController"                                 , ,   -- #  468 unoil.jar
		"com.sun.star.frame.XSynchronousDispatch"                                  , ,   -- #  469 unoil.jar
		"com.sun.star.frame.XSynchronousFrameLoader"                               , ,   -- #  470 unoil.jar
		"com.sun.star.frame.XTask"                                                 , ,   -- #  471 unoil.jar
		"com.sun.star.frame.XTasksSupplier"                                        , ,   -- #  472 unoil.jar
		"com.sun.star.frame.XTerminateListener"                                    , ,   -- #  473 unoil.jar
		"com.sun.star.frame.XToolbarController"                                    , ,   -- #  474 unoil.jar
		"com.sun.star.frame.XTransientDocumentsDocumentContentFactory"             , ,   -- #  475 unoil.jar
		"com.sun.star.frame.XUIControllerRegistration"                             , ,   -- #  476 unoil.jar
		"com.sun.star.frame.XUrlList"                                              , ,   -- #  477 unoil.jar
		"com.sun.star.frame.XWindowArranger"                                       , ,   -- #  478 unoil.jar
		"com.sun.star.gallery.XGalleryItem"                                        , ,   -- #  479 unoil.jar
		"com.sun.star.gallery.XGalleryTheme"                                       , ,   -- #  480 unoil.jar
		"com.sun.star.gallery.XGalleryThemeProvider"                               , ,   -- #  481 unoil.jar
		"com.sun.star.geometry.XMapping2D"                                         , ,   -- #  482 unoil.jar
		"com.sun.star.graphic.XGraphic"                                            , ,   -- #  483 unoil.jar
		"com.sun.star.graphic.XGraphicProvider"                                    , ,   -- #  484 unoil.jar
		"com.sun.star.graphic.XGraphicRenderer"                                    , ,   -- #  485 unoil.jar
		"com.sun.star.i18n.XBreakIterator"                                         , ,   -- #  486 unoil.jar
		"com.sun.star.i18n.XCalendar"                                              , ,   -- #  487 unoil.jar
		"com.sun.star.i18n.XCharacterClassification"                               , ,   -- #  488 unoil.jar
		"com.sun.star.i18n.XCollator"                                              , ,   -- #  489 unoil.jar
		"com.sun.star.i18n.XExtendedCalendar"                                      , ,   -- #  490 unoil.jar
		"com.sun.star.i18n.XExtendedIndexEntrySupplier"                            , ,   -- #  491 unoil.jar
		"com.sun.star.i18n.XExtendedInputSequenceChecker"                          , ,   -- #  492 unoil.jar
		"com.sun.star.i18n.XExtendedTextConversion"                                , ,   -- #  493 unoil.jar
		"com.sun.star.i18n.XExtendedTransliteration"                               , ,   -- #  494 unoil.jar
		"com.sun.star.i18n.XForbiddenCharacters"                                   , ,   -- #  495 unoil.jar
		"com.sun.star.i18n.XIndexEntrySupplier"                                    , ,   -- #  496 unoil.jar
		"com.sun.star.i18n.XInputSequenceChecker"                                  , ,   -- #  497 unoil.jar
		"com.sun.star.i18n.XLocaleData"                                            , ,   -- #  498 unoil.jar
		"com.sun.star.i18n.XLocaleData2"                                           , ,   -- #  499 unoil.jar
		"com.sun.star.i18n.XNativeNumberSupplier"                                  , ,   -- #  500 unoil.jar
		"com.sun.star.i18n.XNumberFormatCode"                                      , ,   -- #  501 unoil.jar
		"com.sun.star.i18n.XScriptTypeDetector"                                    , ,   -- #  502 unoil.jar
		"com.sun.star.i18n.XTextConversion"                                        , ,   -- #  503 unoil.jar
		"com.sun.star.i18n.XTransliteration"                                       , ,   -- #  504 unoil.jar
		"com.sun.star.inspection.XHyperlinkControl"                                , ,   -- #  505 unoil.jar
		"com.sun.star.inspection.XNumericControl"                                  , ,   -- #  506 unoil.jar
		"com.sun.star.inspection.XObjectInspector"                                 , ,   -- #  507 unoil.jar
		"com.sun.star.inspection.XObjectInspectorModel"                            , ,   -- #  508 unoil.jar
		"com.sun.star.inspection.XObjectInspectorUI"                               , ,   -- #  509 unoil.jar
		"com.sun.star.inspection.XPropertyControl"                                 , ,   -- #  510 unoil.jar
		"com.sun.star.inspection.XPropertyControlContext"                          , ,   -- #  511 unoil.jar
		"com.sun.star.inspection.XPropertyControlFactory"                          , ,   -- #  512 unoil.jar
		"com.sun.star.inspection.XPropertyHandler"                                 , ,   -- #  513 unoil.jar
		"com.sun.star.inspection.XStringListControl"                               , ,   -- #  514 unoil.jar
		"com.sun.star.installation.XInstallationCheck"                             , ,   -- #  515 unoil.jar
		"com.sun.star.installation.XProtocolHandlerCheck"                          , ,   -- #  516 unoil.jar
		"com.sun.star.io.XActiveDataControl"                                       , ,   -- #  517 ridl.jar
		"com.sun.star.io.XActiveDataSink"                                          , ,   -- #  518 ridl.jar
		"com.sun.star.io.XActiveDataSource"                                        , ,   -- #  519 ridl.jar
		"com.sun.star.io.XActiveDataStreamer"                                      , ,   -- #  520 ridl.jar
		"com.sun.star.io.XAsyncOutputMonitor"                                      , ,   -- #  521 ridl.jar
		"com.sun.star.io.XConnectable"                                             , ,   -- #  522 ridl.jar
		"com.sun.star.io.XDataExporter"                                            , ,   -- #  523 ridl.jar
		"com.sun.star.io.XDataImporter"                                            , ,   -- #  524 ridl.jar
		"com.sun.star.io.XDataInputStream"                                         , ,   -- #  525 ridl.jar
		"com.sun.star.io.XDataOutputStream"                                        , ,   -- #  526 ridl.jar
		"com.sun.star.io.XDataTransferEventListener"                               , ,   -- #  527 ridl.jar
		"com.sun.star.io.XInputStream"                                             , ,   -- #  528 ridl.jar
		"com.sun.star.io.XInputStreamProvider"                                     , ,   -- #  529 ridl.jar
		"com.sun.star.io.XMarkableStream"                                          , ,   -- #  530 ridl.jar
		"com.sun.star.io.XObjectInputStream"                                       , ,   -- #  531 ridl.jar
		"com.sun.star.io.XObjectOutputStream"                                      , ,   -- #  532 ridl.jar
		"com.sun.star.io.XOutputStream"                                            , ,   -- #  533 ridl.jar
		"com.sun.star.io.XPersist"                                                 , ,   -- #  534 ridl.jar
		"com.sun.star.io.XPersistObject"                                           , ,   -- #  535 ridl.jar
		"com.sun.star.io.XSeekable"                                                , ,   -- #  536 ridl.jar
		"com.sun.star.io.XStream"                                                  , ,   -- #  537 ridl.jar
		"com.sun.star.io.XStreamListener"                                          , ,   -- #  538 ridl.jar
		"com.sun.star.io.XTextInputStream"                                         , ,   -- #  539 ridl.jar
		"com.sun.star.io.XTextOutputStream"                                        , ,   -- #  540 ridl.jar
		"com.sun.star.io.XTruncate"                                                , ,   -- #  541 ridl.jar
		"com.sun.star.io.XXMLExtractor"                                            , ,   -- #  542 ridl.jar
		"com.sun.star.java.XJavaThreadRegister_11"                                 , ,   -- #  543 ridl.jar
		"com.sun.star.java.XJavaVM"                                                , ,   -- #  544 ridl.jar
		"com.sun.star.lang.XComponent"                                             , ,   -- #  545 ridl.jar
		"com.sun.star.lang.XConnectionPoint"                                       , ,   -- #  546 ridl.jar
		"com.sun.star.lang.XConnectionPointContainer"                              , ,   -- #  547 ridl.jar
/* ---> [com.sun.star.lang.XEventListener]: class name [XEventListener] in use already! (com.sun.star.document.XEventListener) */ -
		"com.sun.star.lang.XEventListener"                                         , ,   -- #  548 ridl.jar
		"com.sun.star.lang.XInitialization"                                        , ,   -- #  549 ridl.jar
		"com.sun.star.lang.XLocalizable"                                           , ,   -- #  550 ridl.jar
		"com.sun.star.lang.XMain"                                                  , ,   -- #  551 ridl.jar
		"com.sun.star.lang.XMultiComponentFactory"                                 , ,   -- #  552 ridl.jar
		"com.sun.star.lang.XMultiServiceFactory"                                   , ,   -- #  553 ridl.jar
		"com.sun.star.lang.XServiceDisplayName"                                    , ,   -- #  554 ridl.jar
		"com.sun.star.lang.XServiceInfo"                                           , ,   -- #  555 ridl.jar
		"com.sun.star.lang.XServiceName"                                           , ,   -- #  556 ridl.jar
		"com.sun.star.lang.XSingleComponentFactory"                                , ,   -- #  557 ridl.jar
		"com.sun.star.lang.XSingleServiceFactory"                                  , ,   -- #  558 ridl.jar
		"com.sun.star.lang.XTypeProvider"                                          , ,   -- #  559 ridl.jar
		"com.sun.star.lang.XUnoTunnel"                                             , ,   -- #  560 ridl.jar
		"com.sun.star.lib.sandbox.XImage"                                          , ,   -- #  561 sandbox.jar
		"com.sun.star.lib.uno.adapter.XInputStreamToInputStreamAdapter"            , ,   -- #  562 juh.jar
		"com.sun.star.lib.uno.adapter.XOutputStreamToByteArrayAdapter"             , ,   -- #  563 juh.jar
		"com.sun.star.lib.uno.adapter.XOutputStreamToOutputStreamAdapter"          , ,   -- #  564 juh.jar
		"com.sun.star.lib.uno.bridges.java_remote.XConnectionInputStream_Adapter"  , ,   -- #  565 jurt.jar
		"com.sun.star.lib.uno.bridges.java_remote.XConnectionOutputStream_Adapter" , ,   -- #  566 jurt.jar
		"com.sun.star.linguistic2.XAvailableLocales"                               , ,   -- #  567 unoil.jar
		"com.sun.star.linguistic2.XConversionDictionary"                           , ,   -- #  568 unoil.jar
		"com.sun.star.linguistic2.XConversionDictionaryList"                       , ,   -- #  569 unoil.jar
		"com.sun.star.linguistic2.XConversionPropertyType"                         , ,   -- #  570 unoil.jar
		"com.sun.star.linguistic2.XDictionary"                                     , ,   -- #  571 unoil.jar
		"com.sun.star.linguistic2.XDictionary1"                                    , ,   -- #  572 unoil.jar
		"com.sun.star.linguistic2.XDictionaryEntry"                                , ,   -- #  573 unoil.jar
		"com.sun.star.linguistic2.XDictionaryEventListener"                        , ,   -- #  574 unoil.jar
		"com.sun.star.linguistic2.XDictionaryList"                                 , ,   -- #  575 unoil.jar
		"com.sun.star.linguistic2.XDictionaryListEventListener"                    , ,   -- #  576 unoil.jar
		"com.sun.star.linguistic2.XHyphenatedWord"                                 , ,   -- #  577 unoil.jar
		"com.sun.star.linguistic2.XHyphenator"                                     , ,   -- #  578 unoil.jar
		"com.sun.star.linguistic2.XLinguServiceEventBroadcaster"                   , ,   -- #  579 unoil.jar
		"com.sun.star.linguistic2.XLinguServiceEventListener"                      , ,   -- #  580 unoil.jar
		"com.sun.star.linguistic2.XLinguServiceManager"                            , ,   -- #  581 unoil.jar
		"com.sun.star.linguistic2.XMeaning"                                        , ,   -- #  582 unoil.jar
		"com.sun.star.linguistic2.XPossibleHyphens"                                , ,   -- #  583 unoil.jar
		"com.sun.star.linguistic2.XSearchableDictionaryList"                       , ,   -- #  584 unoil.jar
		"com.sun.star.linguistic2.XSpellAlternatives"                              , ,   -- #  585 unoil.jar
		"com.sun.star.linguistic2.XSpellChecker"                                   , ,   -- #  586 unoil.jar
		"com.sun.star.linguistic2.XSpellChecker1"                                  , ,   -- #  587 unoil.jar
		"com.sun.star.linguistic2.XSupportedLanguages"                             , ,   -- #  588 unoil.jar
		"com.sun.star.linguistic2.XSupportedLocales"                               , ,   -- #  589 unoil.jar
		"com.sun.star.linguistic2.XThesaurus"                                      , ,   -- #  590 unoil.jar
		"com.sun.star.loader.XImplementationLoader"                                , ,   -- #  591 ridl.jar
		"com.sun.star.mail.XAuthenticator"                                         , ,   -- #  592 unoil.jar
		"com.sun.star.mail.XConnectionListener"                                    , ,   -- #  593 unoil.jar
		"com.sun.star.mail.XMailMessage"                                           , ,   -- #  594 unoil.jar
		"com.sun.star.mail.XMailService"                                           , ,   -- #  595 unoil.jar
		"com.sun.star.mail.XMailServiceProvider"                                   , ,   -- #  596 unoil.jar
		"com.sun.star.mail.XSmtpService"                                           , ,   -- #  597 unoil.jar
		"com.sun.star.media.XFrameGrabber"                                         , ,   -- #  598 unoil.jar
		"com.sun.star.media.XManager"                                              , ,   -- #  599 unoil.jar
		"com.sun.star.media.XPlayer"                                               , ,   -- #  600 unoil.jar
		"com.sun.star.media.XPlayerWindow"                                         , ,   -- #  601 unoil.jar
		"com.sun.star.mozilla.XCloseSessionListener"                               , ,   -- #  602 unoil.jar
		"com.sun.star.mozilla.XCodeProxy"                                          , ,   -- #  603 unoil.jar
		"com.sun.star.mozilla.XMenuProxy"                                          , ,   -- #  604 unoil.jar
		"com.sun.star.mozilla.XMenuProxyListener"                                  , ,   -- #  605 unoil.jar
		"com.sun.star.mozilla.XMozillaBootstrap"                                   , ,   -- #  606 unoil.jar
		"com.sun.star.mozilla.XPluginInstance"                                     , ,   -- #  607 unoil.jar
		"com.sun.star.mozilla.XPluginInstanceNotifySink"                           , ,   -- #  608 unoil.jar
		"com.sun.star.mozilla.XPluginInstancePeer"                                 , ,   -- #  609 unoil.jar
		"com.sun.star.mozilla.XPluginInstanceSyncPeer"                             , ,   -- #  610 unoil.jar
		"com.sun.star.mozilla.XPluginWindowPeer"                                   , ,   -- #  611 unoil.jar
		"com.sun.star.mozilla.XProfileDiscover"                                    , ,   -- #  612 unoil.jar
		"com.sun.star.mozilla.XProfileManager"                                     , ,   -- #  613 unoil.jar
		"com.sun.star.mozilla.XProxyRunner"                                        , ,   -- #  614 unoil.jar
		"com.sun.star.mozilla.XRemoteServiceManagerProvider"                       , ,   -- #  615 unoil.jar
		"com.sun.star.packages.XDataSinkEncrSupport"                               , ,   -- #  616 unoil.jar
		"com.sun.star.packages.manifest.XManifestReader"                           , ,   -- #  617 unoil.jar
		"com.sun.star.packages.manifest.XManifestWriter"                           , ,   -- #  618 unoil.jar
		"com.sun.star.packages.zip.XZipFileAccess"                                 , ,   -- #  619 unoil.jar
		"com.sun.star.plugin.XPlugin"                                              , ,   -- #  620 unoil.jar
		"com.sun.star.plugin.XPluginContext"                                       , ,   -- #  621 unoil.jar
		"com.sun.star.plugin.XPluginManager"                                       , ,   -- #  622 unoil.jar
		"com.sun.star.presentation.XCustomPresentationSupplier"                    , ,   -- #  623 unoil.jar
		"com.sun.star.presentation.XHandoutMasterSupplier"                         , ,   -- #  624 unoil.jar
		"com.sun.star.presentation.XPresentation"                                  , ,   -- #  625 unoil.jar
		"com.sun.star.presentation.XPresentationPage"                              , ,   -- #  626 unoil.jar
		"com.sun.star.presentation.XPresentationSupplier"                          , ,   -- #  627 unoil.jar
		"com.sun.star.reflection.XArrayTypeDescription"                            , ,   -- #  628 ridl.jar
		"com.sun.star.reflection.XCompoundTypeDescription"                         , ,   -- #  629 ridl.jar
		"com.sun.star.reflection.XConstantTypeDescription"                         , ,   -- #  630 ridl.jar
		"com.sun.star.reflection.XConstantsTypeDescription"                        , ,   -- #  631 ridl.jar
		"com.sun.star.reflection.XEnumTypeDescription"                             , ,   -- #  632 ridl.jar
		"com.sun.star.reflection.XIdlArray"                                        , ,   -- #  633 ridl.jar
		"com.sun.star.reflection.XIdlClass"                                        , ,   -- #  634 ridl.jar
		"com.sun.star.reflection.XIdlClassProvider"                                , ,   -- #  635 ridl.jar
		"com.sun.star.reflection.XIdlField"                                        , ,   -- #  636 ridl.jar
		"com.sun.star.reflection.XIdlField2"                                       , ,   -- #  637 ridl.jar
		"com.sun.star.reflection.XIdlMember"                                       , ,   -- #  638 ridl.jar
		"com.sun.star.reflection.XIdlMethod"                                       , ,   -- #  639 ridl.jar
		"com.sun.star.reflection.XIdlReflection"                                   , ,   -- #  640 ridl.jar
		"com.sun.star.reflection.XIndirectTypeDescription"                         , ,   -- #  641 ridl.jar
		"com.sun.star.reflection.XInterfaceAttributeTypeDescription"               , ,   -- #  642 ridl.jar
		"com.sun.star.reflection.XInterfaceAttributeTypeDescription2"              , ,   -- #  643 ridl.jar
		"com.sun.star.reflection.XInterfaceMemberTypeDescription"                  , ,   -- #  644 ridl.jar
		"com.sun.star.reflection.XInterfaceMethodTypeDescription"                  , ,   -- #  645 ridl.jar
		"com.sun.star.reflection.XInterfaceTypeDescription"                        , ,   -- #  646 ridl.jar
		"com.sun.star.reflection.XInterfaceTypeDescription2"                       , ,   -- #  647 ridl.jar
		"com.sun.star.reflection.XMethodParameter"                                 , ,   -- #  648 ridl.jar
		"com.sun.star.reflection.XModuleTypeDescription"                           , ,   -- #  649 ridl.jar
		"com.sun.star.reflection.XParameter"                                       , ,   -- #  650 ridl.jar
		"com.sun.star.reflection.XPropertyTypeDescription"                         , ,   -- #  651 ridl.jar
		"com.sun.star.reflection.XProxyFactory"                                    , ,   -- #  652 ridl.jar
		"com.sun.star.reflection.XPublished"                                       , ,   -- #  653 ridl.jar
		"com.sun.star.reflection.XServiceConstructorDescription"                   , ,   -- #  654 ridl.jar
		"com.sun.star.reflection.XServiceTypeDescription"                          , ,   -- #  655 ridl.jar
		"com.sun.star.reflection.XServiceTypeDescription2"                         , ,   -- #  656 ridl.jar
		"com.sun.star.reflection.XSingletonTypeDescription"                        , ,   -- #  657 ridl.jar
		"com.sun.star.reflection.XSingletonTypeDescription2"                       , ,   -- #  658 ridl.jar
		"com.sun.star.reflection.XStructTypeDescription"                           , ,   -- #  659 ridl.jar
		"com.sun.star.reflection.XTypeDescription"                                 , ,   -- #  660 ridl.jar
		"com.sun.star.reflection.XTypeDescriptionEnumeration"                      , ,   -- #  661 ridl.jar
		"com.sun.star.reflection.XTypeDescriptionEnumerationAccess"                , ,   -- #  662 ridl.jar
		"com.sun.star.reflection.XUnionTypeDescription"                            , ,   -- #  663 ridl.jar
		"com.sun.star.registry.XImplementationRegistration"                        , ,   -- #  664 ridl.jar
		"com.sun.star.registry.XRegistryKey"                                       , ,   -- #  665 ridl.jar
		"com.sun.star.registry.XSimpleRegistry"                                    , ,   -- #  666 ridl.jar
		"com.sun.star.rendering.XAnimatedSprite"                                   , ,   -- #  667 unoil.jar
		"com.sun.star.rendering.XAnimation"                                        , ,   -- #  668 unoil.jar
		"com.sun.star.rendering.XBezierPolyPolygon2D"                              , ,   -- #  669 unoil.jar
/* ---> [com.sun.star.rendering.XBitmap]: class name [XBitmap] in use already! (com.sun.star.awt.XBitmap) */ -
		"com.sun.star.rendering.XBitmap"                                           , ,   -- #  670 unoil.jar
		"com.sun.star.rendering.XBitmapCanvas"                                     , ,   -- #  671 unoil.jar
		"com.sun.star.rendering.XBitmapPalette"                                    , ,   -- #  672 unoil.jar
		"com.sun.star.rendering.XBufferController"                                 , ,   -- #  673 unoil.jar
		"com.sun.star.rendering.XCachedPrimitive"                                  , ,   -- #  674 unoil.jar
		"com.sun.star.rendering.XCanvas"                                           , ,   -- #  675 unoil.jar
		"com.sun.star.rendering.XCanvasFont"                                       , ,   -- #  676 unoil.jar
		"com.sun.star.rendering.XColorSpace"                                       , ,   -- #  677 unoil.jar
		"com.sun.star.rendering.XCustomSprite"                                     , ,   -- #  678 unoil.jar
		"com.sun.star.rendering.XGraphicDevice"                                    , ,   -- #  679 unoil.jar
		"com.sun.star.rendering.XHalfFloatBitmap"                                  , ,   -- #  680 unoil.jar
		"com.sun.star.rendering.XIeeeDoubleBitmap"                                 , ,   -- #  681 unoil.jar
		"com.sun.star.rendering.XIeeeFloatBitmap"                                  , ,   -- #  682 unoil.jar
		"com.sun.star.rendering.XIntegerBitmap"                                    , ,   -- #  683 unoil.jar
		"com.sun.star.rendering.XLinePolyPolygon2D"                                , ,   -- #  684 unoil.jar
		"com.sun.star.rendering.XParametricPolyPolygon2D"                          , ,   -- #  685 unoil.jar
		"com.sun.star.rendering.XParametricPolyPolygon2DFactory"                   , ,   -- #  686 unoil.jar
		"com.sun.star.rendering.XPolyPolygon2D"                                    , ,   -- #  687 unoil.jar
		"com.sun.star.rendering.XSprite"                                           , ,   -- #  688 unoil.jar
		"com.sun.star.rendering.XSpriteCanvas"                                     , ,   -- #  689 unoil.jar
		"com.sun.star.rendering.XTextLayout"                                       , ,   -- #  690 unoil.jar
		"com.sun.star.rendering.XVolatileBitmap"                                   , ,   -- #  691 unoil.jar
		"com.sun.star.resource.XLocale"                                            , ,   -- #  692 unoil.jar
		"com.sun.star.resource.XResourceBundle"                                    , ,   -- #  693 unoil.jar
		"com.sun.star.resource.XResourceBundleLoader"                              , ,   -- #  694 unoil.jar
		"com.sun.star.scanner.XScannerManager"                                     , ,   -- #  695 unoil.jar
		"com.sun.star.script.XAllListener"                                         , ,   -- #  696 ridl.jar
		"com.sun.star.script.XAllListenerAdapterService"                           , ,   -- #  697 ridl.jar
		"com.sun.star.script.XDebugging"                                           , ,   -- #  698 ridl.jar
		"com.sun.star.script.XDefaultMethod"                                       , ,   -- #  699 ridl.jar
		"com.sun.star.script.XEngine"                                              , ,   -- #  700 ridl.jar
		"com.sun.star.script.XEngineListener"                                      , ,   -- #  701 ridl.jar
		"com.sun.star.script.XEventAttacher"                                       , ,   -- #  702 ridl.jar
		"com.sun.star.script.XEventAttacherManager"                                , ,   -- #  703 ridl.jar
		"com.sun.star.script.XInvocation"                                          , ,   -- #  704 ridl.jar
		"com.sun.star.script.XInvocation2"                                         , ,   -- #  705 ridl.jar
		"com.sun.star.script.XInvocationAdapterFactory"                            , ,   -- #  706 ridl.jar
		"com.sun.star.script.XInvocationAdapterFactory2"                           , ,   -- #  707 ridl.jar
		"com.sun.star.script.XLibraryAccess"                                       , ,   -- #  708 ridl.jar
		"com.sun.star.script.XLibraryContainer"                                    , ,   -- #  709 unoil.jar
		"com.sun.star.script.XLibraryContainer2"                                   , ,   -- #  710 unoil.jar
		"com.sun.star.script.XLibraryContainerExport"                              , ,   -- #  711 unoil.jar
		"com.sun.star.script.XLibraryContainerPassword"                            , ,   -- #  712 unoil.jar
		"com.sun.star.script.XScriptEventsAttacher"                                , ,   -- #  713 ridl.jar
		"com.sun.star.script.XScriptEventsSupplier"                                , ,   -- #  714 ridl.jar
		"com.sun.star.script.XScriptListener"                                      , ,   -- #  715 ridl.jar
		"com.sun.star.script.XStarBasicAccess"                                     , ,   -- #  716 ridl.jar
		"com.sun.star.script.XStarBasicDialogInfo"                                 , ,   -- #  717 ridl.jar
		"com.sun.star.script.XStarBasicLibraryInfo"                                , ,   -- #  718 ridl.jar
		"com.sun.star.script.XStarBasicModuleInfo"                                 , ,   -- #  719 ridl.jar
		"com.sun.star.script.XTypeConverter"                                       , ,   -- #  720 ridl.jar
		"com.sun.star.script.browse.XBrowseNode"                                   , ,   -- #  721 unoil.jar
		"com.sun.star.script.browse.XBrowseNodeFactory"                            , ,   -- #  722 unoil.jar
		"com.sun.star.script.provider.XScript"                                     , ,   -- #  723 unoil.jar
		"com.sun.star.script.provider.XScriptContext"                              , ,   -- #  724 unoil.jar
		"com.sun.star.script.provider.XScriptProvider"                             , ,   -- #  725 unoil.jar
		"com.sun.star.script.provider.XScriptProviderFactory"                      , ,   -- #  726 unoil.jar
		"com.sun.star.script.provider.XScriptProviderSupplier"                     , ,   -- #  727 unoil.jar
		"com.sun.star.script.provider.XScriptURIHelper"                            , ,   -- #  728 unoil.jar
		"com.sun.star.sdb.XAlterQuery"                                             , ,   -- #  729 unoil.jar
		"com.sun.star.sdb.XBookmarksSupplier"                                      , ,   -- #  730 unoil.jar
		"com.sun.star.sdb.XColumn"                                                 , ,   -- #  731 unoil.jar
		"com.sun.star.sdb.XColumnUpdate"                                           , ,   -- #  732 unoil.jar
		"com.sun.star.sdb.XCommandPreparation"                                     , ,   -- #  733 unoil.jar
		"com.sun.star.sdb.XCompletedConnection"                                    , ,   -- #  734 unoil.jar
		"com.sun.star.sdb.XCompletedExecution"                                     , ,   -- #  735 unoil.jar
		"com.sun.star.sdb.XDatabaseAccess"                                         , ,   -- #  736 unoil.jar
		"com.sun.star.sdb.XDatabaseAccessListener"                                 , ,   -- #  737 unoil.jar
		"com.sun.star.sdb.XDatabaseEnvironment"                                    , ,   -- #  738 unoil.jar
		"com.sun.star.sdb.XDocumentDataSource"                                     , ,   -- #  739 unoil.jar
		"com.sun.star.sdb.XFormDocumentsSupplier"                                  , ,   -- #  740 unoil.jar
		"com.sun.star.sdb.XInteractionDocumentSave"                                , ,   -- #  741 unoil.jar
		"com.sun.star.sdb.XInteractionSupplyParameters"                            , ,   -- #  742 unoil.jar
		"com.sun.star.sdb.XOfficeDatabaseDocument"                                 , ,   -- #  743 unoil.jar
		"com.sun.star.sdb.XParametersSupplier"                                     , ,   -- #  744 unoil.jar
		"com.sun.star.sdb.XQueriesSupplier"                                        , ,   -- #  745 unoil.jar
		"com.sun.star.sdb.XQueryDefinitionsSupplier"                               , ,   -- #  746 unoil.jar
		"com.sun.star.sdb.XReportDocumentsSupplier"                                , ,   -- #  747 unoil.jar
		"com.sun.star.sdb.XResultSetAccess"                                        , ,   -- #  748 unoil.jar
		"com.sun.star.sdb.XRowSetApproveBroadcaster"                               , ,   -- #  749 unoil.jar
		"com.sun.star.sdb.XRowSetApproveListener"                                  , ,   -- #  750 unoil.jar
		"com.sun.star.sdb.XRowSetSupplier"                                         , ,   -- #  751 unoil.jar
		"com.sun.star.sdb.XSQLErrorBroadcaster"                                    , ,   -- #  752 unoil.jar
		"com.sun.star.sdb.XSQLErrorListener"                                       , ,   -- #  753 unoil.jar
		"com.sun.star.sdb.XSQLQueryComposer"                                       , ,   -- #  754 unoil.jar
		"com.sun.star.sdb.XSQLQueryComposerFactory"                                , ,   -- #  755 unoil.jar
		"com.sun.star.sdb.XSingleSelectQueryAnalyzer"                              , ,   -- #  756 unoil.jar
		"com.sun.star.sdb.XSingleSelectQueryComposer"                              , ,   -- #  757 unoil.jar
		"com.sun.star.sdb.application.XDatabaseDocumentUI"                         , ,   -- #  758 unoil.jar
		"com.sun.star.sdb.application.XTableUIProvider"                            , ,   -- #  759 unoil.jar
		"com.sun.star.sdb.tools.XConnectionTools"                                  , ,   -- #  760 unoil.jar
		"com.sun.star.sdb.tools.XDataSourceMetaData"                               , ,   -- #  761 unoil.jar
		"com.sun.star.sdb.tools.XObjectNames"                                      , ,   -- #  762 unoil.jar
		"com.sun.star.sdb.tools.XTableName"                                        , ,   -- #  763 unoil.jar
		"com.sun.star.sdbc.XArray"                                                 , ,   -- #  764 unoil.jar
		"com.sun.star.sdbc.XBatchExecution"                                        , ,   -- #  765 unoil.jar
		"com.sun.star.sdbc.XBlob"                                                  , ,   -- #  766 unoil.jar
		"com.sun.star.sdbc.XClob"                                                  , ,   -- #  767 unoil.jar
		"com.sun.star.sdbc.XCloseable"                                             , ,   -- #  768 unoil.jar
		"com.sun.star.sdbc.XColumnLocate"                                          , ,   -- #  769 unoil.jar
/* ---> [com.sun.star.sdbc.XConnection]: class name [XConnection] in use already! (com.sun.star.connection.XConnection) */ -
		"com.sun.star.sdbc.XConnection"                                            , ,   -- #  770 unoil.jar
/* ---> [com.sun.star.sdbc.XDataSource]: class name [XDataSource] in use already! (com.sun.star.chart2.XDataSource) */ -
		"com.sun.star.sdbc.XDataSource"                                            , ,   -- #  771 unoil.jar
		"com.sun.star.sdbc.XDatabaseMetaData"                                      , ,   -- #  772 unoil.jar
		"com.sun.star.sdbc.XDriver"                                                , ,   -- #  773 unoil.jar
		"com.sun.star.sdbc.XDriverAccess"                                          , ,   -- #  774 unoil.jar
		"com.sun.star.sdbc.XDriverManager"                                         , ,   -- #  775 unoil.jar
		"com.sun.star.sdbc.XGeneratedResultSet"                                    , ,   -- #  776 unoil.jar
		"com.sun.star.sdbc.XIsolatedConnection"                                    , ,   -- #  777 unoil.jar
		"com.sun.star.sdbc.XMultipleResults"                                       , ,   -- #  778 unoil.jar
		"com.sun.star.sdbc.XOutParameters"                                         , ,   -- #  779 unoil.jar
		"com.sun.star.sdbc.XParameters"                                            , ,   -- #  780 unoil.jar
		"com.sun.star.sdbc.XPooledConnection"                                      , ,   -- #  781 unoil.jar
		"com.sun.star.sdbc.XPreparedBatchExecution"                                , ,   -- #  782 unoil.jar
		"com.sun.star.sdbc.XPreparedStatement"                                     , ,   -- #  783 unoil.jar
		"com.sun.star.sdbc.XRef"                                                   , ,   -- #  784 unoil.jar
		"com.sun.star.sdbc.XResultSet"                                             , ,   -- #  785 unoil.jar
		"com.sun.star.sdbc.XResultSetMetaData"                                     , ,   -- #  786 unoil.jar
		"com.sun.star.sdbc.XResultSetMetaDataSupplier"                             , ,   -- #  787 unoil.jar
		"com.sun.star.sdbc.XResultSetUpdate"                                       , ,   -- #  788 unoil.jar
		"com.sun.star.sdbc.XRow"                                                   , ,   -- #  789 unoil.jar
		"com.sun.star.sdbc.XRowSet"                                                , ,   -- #  790 unoil.jar
		"com.sun.star.sdbc.XRowSetListener"                                        , ,   -- #  791 unoil.jar
		"com.sun.star.sdbc.XRowUpdate"                                             , ,   -- #  792 unoil.jar
		"com.sun.star.sdbc.XSQLData"                                               , ,   -- #  793 unoil.jar
		"com.sun.star.sdbc.XSQLInput"                                              , ,   -- #  794 unoil.jar
		"com.sun.star.sdbc.XSQLOutput"                                             , ,   -- #  795 unoil.jar
		"com.sun.star.sdbc.XStatement"                                             , ,   -- #  796 unoil.jar
		"com.sun.star.sdbc.XStruct"                                                , ,   -- #  797 unoil.jar
		"com.sun.star.sdbc.XWarningsSupplier"                                      , ,   -- #  798 unoil.jar
		"com.sun.star.sdbcx.XAlterTable"                                           , ,   -- #  799 unoil.jar
		"com.sun.star.sdbcx.XAppend"                                               , ,   -- #  800 unoil.jar
		"com.sun.star.sdbcx.XAuthorizable"                                         , ,   -- #  801 unoil.jar
		"com.sun.star.sdbcx.XColumnsSupplier"                                      , ,   -- #  802 unoil.jar
		"com.sun.star.sdbcx.XCreateCatalog"                                        , ,   -- #  803 unoil.jar
		"com.sun.star.sdbcx.XDataDefinitionSupplier"                               , ,   -- #  804 unoil.jar
		"com.sun.star.sdbcx.XDataDescriptorFactory"                                , ,   -- #  805 unoil.jar
		"com.sun.star.sdbcx.XDeleteRows"                                           , ,   -- #  806 unoil.jar
		"com.sun.star.sdbcx.XDrop"                                                 , ,   -- #  807 unoil.jar
		"com.sun.star.sdbcx.XDropCatalog"                                          , ,   -- #  808 unoil.jar
		"com.sun.star.sdbcx.XGroupsSupplier"                                       , ,   -- #  809 unoil.jar
		"com.sun.star.sdbcx.XIndexesSupplier"                                      , ,   -- #  810 unoil.jar
		"com.sun.star.sdbcx.XKeysSupplier"                                         , ,   -- #  811 unoil.jar
		"com.sun.star.sdbcx.XRename"                                               , ,   -- #  812 unoil.jar
		"com.sun.star.sdbcx.XRowLocate"                                            , ,   -- #  813 unoil.jar
		"com.sun.star.sdbcx.XTablesSupplier"                                       , ,   -- #  814 unoil.jar
		"com.sun.star.sdbcx.XUser"                                                 , ,   -- #  815 unoil.jar
		"com.sun.star.sdbcx.XUsersSupplier"                                        , ,   -- #  816 unoil.jar
		"com.sun.star.sdbcx.XViewsSupplier"                                        , ,   -- #  817 unoil.jar
		"com.sun.star.security.XAccessControlContext"                              , ,   -- #  818 ridl.jar
		"com.sun.star.security.XAccessController"                                  , ,   -- #  819 ridl.jar
		"com.sun.star.security.XAction"                                            , ,   -- #  820 ridl.jar
		"com.sun.star.security.XCertificate"                                       , ,   -- #  821 unoil.jar
		"com.sun.star.security.XCertificateExtension"                              , ,   -- #  822 unoil.jar
		"com.sun.star.security.XDocumentDigitalSignatures"                         , ,   -- #  823 unoil.jar
		"com.sun.star.security.XPolicy"                                            , ,   -- #  824 ridl.jar
		"com.sun.star.setup.XSetup"                                                , ,   -- #  825 unoil.jar
		"com.sun.star.sheet.XActivationBroadcaster"                                , ,   -- #  826 unoil.jar
		"com.sun.star.sheet.XActivationEventListener"                              , ,   -- #  827 unoil.jar
		"com.sun.star.sheet.XAddIn"                                                , ,   -- #  828 unoil.jar
		"com.sun.star.sheet.XAreaLink"                                             , ,   -- #  829 unoil.jar
		"com.sun.star.sheet.XAreaLinks"                                            , ,   -- #  830 unoil.jar
		"com.sun.star.sheet.XArrayFormulaRange"                                    , ,   -- #  831 unoil.jar
		"com.sun.star.sheet.XCalculatable"                                         , ,   -- #  832 unoil.jar
		"com.sun.star.sheet.XCellAddressable"                                      , ,   -- #  833 unoil.jar
		"com.sun.star.sheet.XCellFormatRangesSupplier"                             , ,   -- #  834 unoil.jar
		"com.sun.star.sheet.XCellRangeAddressable"                                 , ,   -- #  835 unoil.jar
		"com.sun.star.sheet.XCellRangeData"                                        , ,   -- #  836 unoil.jar
		"com.sun.star.sheet.XCellRangeFormula"                                     , ,   -- #  837 unoil.jar
		"com.sun.star.sheet.XCellRangeMovement"                                    , ,   -- #  838 unoil.jar
		"com.sun.star.sheet.XCellRangeReferrer"                                    , ,   -- #  839 unoil.jar
		"com.sun.star.sheet.XCellRangesQuery"                                      , ,   -- #  840 unoil.jar
		"com.sun.star.sheet.XCellSeries"                                           , ,   -- #  841 unoil.jar
		"com.sun.star.sheet.XCompatibilityNames"                                   , ,   -- #  842 unoil.jar
		"com.sun.star.sheet.XConsolidatable"                                       , ,   -- #  843 unoil.jar
		"com.sun.star.sheet.XConsolidationDescriptor"                              , ,   -- #  844 unoil.jar
		"com.sun.star.sheet.XDDELink"                                              , ,   -- #  845 unoil.jar
		"com.sun.star.sheet.XDataPilotDescriptor"                                  , ,   -- #  846 unoil.jar
		"com.sun.star.sheet.XDataPilotField"                                       , ,   -- #  847 unoil.jar
		"com.sun.star.sheet.XDataPilotFieldGrouping"                               , ,   -- #  848 unoil.jar
		"com.sun.star.sheet.XDataPilotMemberResults"                               , ,   -- #  849 unoil.jar
		"com.sun.star.sheet.XDataPilotResults"                                     , ,   -- #  850 unoil.jar
		"com.sun.star.sheet.XDataPilotTable"                                       , ,   -- #  851 unoil.jar
		"com.sun.star.sheet.XDataPilotTables"                                      , ,   -- #  852 unoil.jar
		"com.sun.star.sheet.XDataPilotTablesSupplier"                              , ,   -- #  853 unoil.jar
		"com.sun.star.sheet.XDatabaseRange"                                        , ,   -- #  854 unoil.jar
		"com.sun.star.sheet.XDatabaseRanges"                                       , ,   -- #  855 unoil.jar
		"com.sun.star.sheet.XDimensionsSupplier"                                   , ,   -- #  856 unoil.jar
		"com.sun.star.sheet.XDocumentAuditing"                                     , ,   -- #  857 unoil.jar
		"com.sun.star.sheet.XEnhancedMouseClickBroadcaster"                        , ,   -- #  858 unoil.jar
		"com.sun.star.sheet.XFillAcrossSheet"                                      , ,   -- #  859 unoil.jar
		"com.sun.star.sheet.XFormulaQuery"                                         , ,   -- #  860 unoil.jar
		"com.sun.star.sheet.XFunctionAccess"                                       , ,   -- #  861 unoil.jar
		"com.sun.star.sheet.XFunctionDescriptions"                                 , ,   -- #  862 unoil.jar
		"com.sun.star.sheet.XGoalSeek"                                             , ,   -- #  863 unoil.jar
		"com.sun.star.sheet.XHeaderFooterContent"                                  , ,   -- #  864 unoil.jar
		"com.sun.star.sheet.XHierarchiesSupplier"                                  , ,   -- #  865 unoil.jar
		"com.sun.star.sheet.XLabelRange"                                           , ,   -- #  866 unoil.jar
		"com.sun.star.sheet.XLabelRanges"                                          , ,   -- #  867 unoil.jar
		"com.sun.star.sheet.XLevelsSupplier"                                       , ,   -- #  868 unoil.jar
		"com.sun.star.sheet.XMembersSupplier"                                      , ,   -- #  869 unoil.jar
		"com.sun.star.sheet.XMultipleOperation"                                    , ,   -- #  870 unoil.jar
		"com.sun.star.sheet.XNamedRange"                                           , ,   -- #  871 unoil.jar
		"com.sun.star.sheet.XNamedRanges"                                          , ,   -- #  872 unoil.jar
		"com.sun.star.sheet.XPrintAreas"                                           , ,   -- #  873 unoil.jar
		"com.sun.star.sheet.XRangeSelection"                                       , ,   -- #  874 unoil.jar
		"com.sun.star.sheet.XRangeSelectionChangeListener"                         , ,   -- #  875 unoil.jar
		"com.sun.star.sheet.XRangeSelectionListener"                               , ,   -- #  876 unoil.jar
		"com.sun.star.sheet.XRecentFunctions"                                      , ,   -- #  877 unoil.jar
		"com.sun.star.sheet.XResultListener"                                       , ,   -- #  878 unoil.jar
		"com.sun.star.sheet.XScenario"                                             , ,   -- #  879 unoil.jar
		"com.sun.star.sheet.XScenarioEnhanced"                                     , ,   -- #  880 unoil.jar
		"com.sun.star.sheet.XScenarios"                                            , ,   -- #  881 unoil.jar
		"com.sun.star.sheet.XScenariosSupplier"                                    , ,   -- #  882 unoil.jar
		"com.sun.star.sheet.XSheetAnnotation"                                      , ,   -- #  883 unoil.jar
		"com.sun.star.sheet.XSheetAnnotationAnchor"                                , ,   -- #  884 unoil.jar
		"com.sun.star.sheet.XSheetAnnotationShapeSupplier"                         , ,   -- #  885 unoil.jar
		"com.sun.star.sheet.XSheetAnnotations"                                     , ,   -- #  886 unoil.jar
		"com.sun.star.sheet.XSheetAnnotationsSupplier"                             , ,   -- #  887 unoil.jar
		"com.sun.star.sheet.XSheetAuditing"                                        , ,   -- #  888 unoil.jar
		"com.sun.star.sheet.XSheetCellCursor"                                      , ,   -- #  889 unoil.jar
		"com.sun.star.sheet.XSheetCellRange"                                       , ,   -- #  890 unoil.jar
		"com.sun.star.sheet.XSheetCellRangeContainer"                              , ,   -- #  891 unoil.jar
		"com.sun.star.sheet.XSheetCellRanges"                                      , ,   -- #  892 unoil.jar
		"com.sun.star.sheet.XSheetCondition"                                       , ,   -- #  893 unoil.jar
		"com.sun.star.sheet.XSheetConditionalEntries"                              , ,   -- #  894 unoil.jar
		"com.sun.star.sheet.XSheetConditionalEntry"                                , ,   -- #  895 unoil.jar
		"com.sun.star.sheet.XSheetFilterDescriptor"                                , ,   -- #  896 unoil.jar
		"com.sun.star.sheet.XSheetFilterable"                                      , ,   -- #  897 unoil.jar
		"com.sun.star.sheet.XSheetFilterableEx"                                    , ,   -- #  898 unoil.jar
		"com.sun.star.sheet.XSheetLinkable"                                        , ,   -- #  899 unoil.jar
		"com.sun.star.sheet.XSheetOperation"                                       , ,   -- #  900 unoil.jar
		"com.sun.star.sheet.XSheetOutline"                                         , ,   -- #  901 unoil.jar
		"com.sun.star.sheet.XSheetPageBreak"                                       , ,   -- #  902 unoil.jar
		"com.sun.star.sheet.XSheetPastable"                                        , ,   -- #  903 unoil.jar
		"com.sun.star.sheet.XSpreadsheet"                                          , ,   -- #  904 unoil.jar
		"com.sun.star.sheet.XSpreadsheetDocument"                                  , ,   -- #  905 unoil.jar
		"com.sun.star.sheet.XSpreadsheetView"                                      , ,   -- #  906 unoil.jar
		"com.sun.star.sheet.XSpreadsheets"                                         , ,   -- #  907 unoil.jar
		"com.sun.star.sheet.XSubTotalCalculatable"                                 , ,   -- #  908 unoil.jar
		"com.sun.star.sheet.XSubTotalDescriptor"                                   , ,   -- #  909 unoil.jar
		"com.sun.star.sheet.XSubTotalField"                                        , ,   -- #  910 unoil.jar
		"com.sun.star.sheet.XUniqueCellFormatRangesSupplier"                       , ,   -- #  911 unoil.jar
		"com.sun.star.sheet.XUsedAreaCursor"                                       , ,   -- #  912 unoil.jar
		"com.sun.star.sheet.XViewFreezable"                                        , ,   -- #  913 unoil.jar
		"com.sun.star.sheet.XViewPane"                                             , ,   -- #  914 unoil.jar
		"com.sun.star.sheet.XViewPanesSupplier"                                    , ,   -- #  915 unoil.jar
		"com.sun.star.sheet.XViewSplitable"                                        , ,   -- #  916 unoil.jar
		"com.sun.star.sheet.XVolatileResult"                                       , ,   -- #  917 unoil.jar
		"com.sun.star.style.XDefaultsSupplier"                                     , ,   -- #  918 unoil.jar
		"com.sun.star.style.XStyle"                                                , ,   -- #  919 unoil.jar
		"com.sun.star.style.XStyleCondition"                                       , ,   -- #  920 unoil.jar
		"com.sun.star.style.XStyleFamiliesSupplier"                                , ,   -- #  921 unoil.jar
		"com.sun.star.style.XStyleLoader"                                          , ,   -- #  922 unoil.jar
		"com.sun.star.svg.XSVGPrinter"                                             , ,   -- #  923 unoil.jar
		"com.sun.star.svg.XSVGWriter"                                              , ,   -- #  924 unoil.jar
		"com.sun.star.sync.XSyncCollector"                                         , ,   -- #  925 unoil.jar
		"com.sun.star.sync.XSynchronizer"                                          , ,   -- #  926 unoil.jar
		"com.sun.star.system.XProxySettings"                                       , ,   -- #  927 unoil.jar
		"com.sun.star.system.XSimpleMailClient"                                    , ,   -- #  928 unoil.jar
		"com.sun.star.system.XSimpleMailClientSupplier"                            , ,   -- #  929 unoil.jar
		"com.sun.star.system.XSimpleMailMessage"                                   , ,   -- #  930 unoil.jar
		"com.sun.star.system.XSystemShellExecute"                                  , ,   -- #  931 unoil.jar
		"com.sun.star.table.XAutoFormattable"                                      , ,   -- #  932 unoil.jar
		"com.sun.star.table.XCell"                                                 , ,   -- #  933 unoil.jar
		"com.sun.star.table.XCellCursor"                                           , ,   -- #  934 unoil.jar
		"com.sun.star.table.XCellRange"                                            , ,   -- #  935 unoil.jar
		"com.sun.star.table.XColumnRowRange"                                       , ,   -- #  936 unoil.jar
		"com.sun.star.table.XTableChart"                                           , ,   -- #  937 unoil.jar
		"com.sun.star.table.XTableCharts"                                          , ,   -- #  938 unoil.jar
		"com.sun.star.table.XTableChartsSupplier"                                  , ,   -- #  939 unoil.jar
		"com.sun.star.table.XTableColumns"                                         , ,   -- #  940 unoil.jar
		"com.sun.star.table.XTableRows"                                            , ,   -- #  941 unoil.jar
		"com.sun.star.task.XAbortChannel"                                          , ,   -- #  942 unoil.jar
		"com.sun.star.task.XAsyncJob"                                              , ,   -- #  943 unoil.jar
		"com.sun.star.task.XInteractionAbort"                                      , ,   -- #  944 ridl.jar
		"com.sun.star.task.XInteractionApprove"                                    , ,   -- #  945 unoil.jar
		"com.sun.star.task.XInteractionContinuation"                               , ,   -- #  946 ridl.jar
		"com.sun.star.task.XInteractionDisapprove"                                 , ,   -- #  947 unoil.jar
		"com.sun.star.task.XInteractionHandler"                                    , ,   -- #  948 ridl.jar
		"com.sun.star.task.XInteractionPassword"                                   , ,   -- #  949 unoil.jar
		"com.sun.star.task.XInteractionRequest"                                    , ,   -- #  950 ridl.jar
		"com.sun.star.task.XInteractionRetry"                                      , ,   -- #  951 ridl.jar
		"com.sun.star.task.XJob"                                                   , ,   -- #  952 unoil.jar
		"com.sun.star.task.XJobExecutor"                                           , ,   -- #  953 unoil.jar
		"com.sun.star.task.XJobListener"                                           , ,   -- #  954 unoil.jar
		"com.sun.star.task.XPasswordContainer"                                     , ,   -- #  955 unoil.jar
		"com.sun.star.task.XStatusIndicator"                                       , ,   -- #  956 unoil.jar
		"com.sun.star.task.XStatusIndicatorFactory"                                , ,   -- #  957 unoil.jar
		"com.sun.star.task.XStatusIndicatorSupplier"                               , ,   -- #  958 unoil.jar
		"com.sun.star.test.XSimpleTest"                                            , ,   -- #  959 ridl.jar
		"com.sun.star.test.XTest"                                                  , ,   -- #  960 ridl.jar
		"com.sun.star.test.XTestListener"                                          , ,   -- #  961 ridl.jar
		"com.sun.star.test.bridge.XBridgeTest"                                     , ,   -- #  962 ridl.jar
		"com.sun.star.test.bridge.XBridgeTest2"                                    , ,   -- #  963 ridl.jar
		"com.sun.star.test.bridge.XBridgeTestBase"                                 , ,   -- #  964 ridl.jar
		"com.sun.star.test.bridge.XRecursiveCall"                                  , ,   -- #  965 ridl.jar
		"com.sun.star.test.performance.XPerformanceTest"                           , ,   -- #  966 ridl.jar
		"com.sun.star.text.XAutoTextContainer"                                     , ,   -- #  967 unoil.jar
		"com.sun.star.text.XAutoTextEntry"                                         , ,   -- #  968 unoil.jar
		"com.sun.star.text.XAutoTextGroup"                                         , ,   -- #  969 unoil.jar
		"com.sun.star.text.XBookmarkInsertTool"                                    , ,   -- #  970 unoil.jar
/* ---> [com.sun.star.text.XBookmarksSupplier]: class name [XBookmarksSupplier] in use already! (com.sun.star.sdb.XBookmarksSupplier) */ -
		"com.sun.star.text.XBookmarksSupplier"                                     , ,   -- #  971 unoil.jar
		"com.sun.star.text.XChapterNumberingSupplier"                              , ,   -- #  972 unoil.jar
		"com.sun.star.text.XDefaultNumberingProvider"                              , ,   -- #  973 unoil.jar
		"com.sun.star.text.XDependentTextField"                                    , ,   -- #  974 unoil.jar
		"com.sun.star.text.XDocumentIndex"                                         , ,   -- #  975 unoil.jar
		"com.sun.star.text.XDocumentIndexMark"                                     , ,   -- #  976 unoil.jar
		"com.sun.star.text.XDocumentIndexesSupplier"                               , ,   -- #  977 unoil.jar
		"com.sun.star.text.XEndnotesSettingsSupplier"                              , ,   -- #  978 unoil.jar
		"com.sun.star.text.XEndnotesSupplier"                                      , ,   -- #  979 unoil.jar
		"com.sun.star.text.XFootnote"                                              , ,   -- #  980 unoil.jar
		"com.sun.star.text.XFootnotesSettingsSupplier"                             , ,   -- #  981 unoil.jar
		"com.sun.star.text.XFootnotesSupplier"                                     , ,   -- #  982 unoil.jar
		"com.sun.star.text.XHeaderFooter"                                          , ,   -- #  983 unoil.jar
		"com.sun.star.text.XHeaderFooterPageStyle"                                 , ,   -- #  984 unoil.jar
		"com.sun.star.text.XLineNumberingProperties"                               , ,   -- #  985 unoil.jar
		"com.sun.star.text.XLineNumberingSupplier"                                 , ,   -- #  986 unoil.jar
		"com.sun.star.text.XMailMergeBroadcaster"                                  , ,   -- #  987 unoil.jar
		"com.sun.star.text.XMailMergeListener"                                     , ,   -- #  988 unoil.jar
		"com.sun.star.text.XModule"                                                , ,   -- #  989 unoil.jar
		"com.sun.star.text.XNumberingFormatter"                                    , ,   -- #  990 unoil.jar
		"com.sun.star.text.XNumberingRulesSupplier"                                , ,   -- #  991 unoil.jar
		"com.sun.star.text.XNumberingTypeInfo"                                     , ,   -- #  992 unoil.jar
		"com.sun.star.text.XPageCursor"                                            , ,   -- #  993 unoil.jar
		"com.sun.star.text.XPagePrintable"                                         , ,   -- #  994 unoil.jar
		"com.sun.star.text.XParagraphCursor"                                       , ,   -- #  995 unoil.jar
		"com.sun.star.text.XReferenceMarksSupplier"                                , ,   -- #  996 unoil.jar
		"com.sun.star.text.XRelativeTextContentInsert"                             , ,   -- #  997 unoil.jar
		"com.sun.star.text.XRelativeTextContentRemove"                             , ,   -- #  998 unoil.jar
		"com.sun.star.text.XRubySelection"                                         , ,   -- #  999 unoil.jar
		"com.sun.star.text.XSentenceCursor"                                        , ,   -- # 1000 unoil.jar
		"com.sun.star.text.XSimpleText"                                            , ,   -- # 1001 unoil.jar
		"com.sun.star.text.XText"                                                  , ,   -- # 1002 unoil.jar
		"com.sun.star.text.XTextColumns"                                           , ,   -- # 1003 unoil.jar
		"com.sun.star.text.XTextContent"                                           , ,   -- # 1004 unoil.jar
		"com.sun.star.text.XTextCursor"                                            , ,   -- # 1005 unoil.jar
		"com.sun.star.text.XTextDocument"                                          , ,   -- # 1006 unoil.jar
		"com.sun.star.text.XTextEmbeddedObject"                                    , ,   -- # 1007 unoil.jar
		"com.sun.star.text.XTextEmbeddedObjectsSupplier"                           , ,   -- # 1008 unoil.jar
		"com.sun.star.text.XTextField"                                             , ,   -- # 1009 unoil.jar
		"com.sun.star.text.XTextFieldsSupplier"                                    , ,   -- # 1010 unoil.jar
		"com.sun.star.text.XTextFrame"                                             , ,   -- # 1011 unoil.jar
		"com.sun.star.text.XTextFramesSupplier"                                    , ,   -- # 1012 unoil.jar
		"com.sun.star.text.XTextGraphicObjectsSupplier"                            , ,   -- # 1013 unoil.jar
		"com.sun.star.text.XTextRange"                                             , ,   -- # 1014 unoil.jar
		"com.sun.star.text.XTextRangeCompare"                                      , ,   -- # 1015 unoil.jar
		"com.sun.star.text.XTextRangeMover"                                        , ,   -- # 1016 unoil.jar
		"com.sun.star.text.XTextSection"                                           , ,   -- # 1017 unoil.jar
		"com.sun.star.text.XTextSectionsSupplier"                                  , ,   -- # 1018 unoil.jar
		"com.sun.star.text.XTextShapesSupplier"                                    , ,   -- # 1019 unoil.jar
		"com.sun.star.text.XTextTable"                                             , ,   -- # 1020 unoil.jar
		"com.sun.star.text.XTextTableCursor"                                       , ,   -- # 1021 unoil.jar
		"com.sun.star.text.XTextTablesSupplier"                                    , ,   -- # 1022 unoil.jar
		"com.sun.star.text.XTextViewCursor"                                        , ,   -- # 1023 unoil.jar
		"com.sun.star.text.XTextViewCursorSupplier"                                , ,   -- # 1024 unoil.jar
		"com.sun.star.text.XWordCursor"                                            , ,   -- # 1025 unoil.jar
		"com.sun.star.ucb.XAnyCompare"                                             , ,   -- # 1026 unoil.jar
		"com.sun.star.ucb.XAnyCompareFactory"                                      , ,   -- # 1027 unoil.jar
		"com.sun.star.ucb.XCachedContentResultSetFactory"                          , ,   -- # 1028 unoil.jar
		"com.sun.star.ucb.XCachedContentResultSetStubFactory"                      , ,   -- # 1029 unoil.jar
		"com.sun.star.ucb.XCachedDynamicResultSetFactory"                          , ,   -- # 1030 unoil.jar
		"com.sun.star.ucb.XCachedDynamicResultSetStubFactory"                      , ,   -- # 1031 unoil.jar
		"com.sun.star.ucb.XCommandEnvironment"                                     , ,   -- # 1032 unoil.jar
		"com.sun.star.ucb.XCommandInfo"                                            , ,   -- # 1033 unoil.jar
		"com.sun.star.ucb.XCommandInfoChangeListener"                              , ,   -- # 1034 unoil.jar
		"com.sun.star.ucb.XCommandInfoChangeNotifier"                              , ,   -- # 1035 unoil.jar
		"com.sun.star.ucb.XCommandProcessor"                                       , ,   -- # 1036 unoil.jar
		"com.sun.star.ucb.XCommandProcessor2"                                      , ,   -- # 1037 unoil.jar
		"com.sun.star.ucb.XContent"                                                , ,   -- # 1038 unoil.jar
		"com.sun.star.ucb.XContentAccess"                                          , ,   -- # 1039 unoil.jar
		"com.sun.star.ucb.XContentCreator"                                         , ,   -- # 1040 unoil.jar
		"com.sun.star.ucb.XContentEventListener"                                   , ,   -- # 1041 unoil.jar
		"com.sun.star.ucb.XContentIdentifier"                                      , ,   -- # 1042 unoil.jar
		"com.sun.star.ucb.XContentIdentifierFactory"                               , ,   -- # 1043 unoil.jar
		"com.sun.star.ucb.XContentIdentifierMapping"                               , ,   -- # 1044 unoil.jar
		"com.sun.star.ucb.XContentProvider"                                        , ,   -- # 1045 unoil.jar
		"com.sun.star.ucb.XContentProviderFactory"                                 , ,   -- # 1046 unoil.jar
		"com.sun.star.ucb.XContentProviderManager"                                 , ,   -- # 1047 unoil.jar
		"com.sun.star.ucb.XContentProviderSupplier"                                , ,   -- # 1048 unoil.jar
		"com.sun.star.ucb.XContentTransmitter"                                     , ,   -- # 1049 unoil.jar
		"com.sun.star.ucb.XDataContainer"                                          , ,   -- # 1050 unoil.jar
		"com.sun.star.ucb.XDynamicResultSet"                                       , ,   -- # 1051 unoil.jar
		"com.sun.star.ucb.XDynamicResultSetListener"                               , ,   -- # 1052 unoil.jar
		"com.sun.star.ucb.XFetchProvider"                                          , ,   -- # 1053 unoil.jar
		"com.sun.star.ucb.XFetchProviderForContentAccess"                          , ,   -- # 1054 unoil.jar
		"com.sun.star.ucb.XFileIdentifierConverter"                                , ,   -- # 1055 unoil.jar
		"com.sun.star.ucb.XInteractionCookieHandling"                              , ,   -- # 1056 unoil.jar
		"com.sun.star.ucb.XInteractionHandlerSupplier"                             , ,   -- # 1057 unoil.jar
		"com.sun.star.ucb.XInteractionReplaceExistingData"                         , ,   -- # 1058 unoil.jar
		"com.sun.star.ucb.XInteractionSupplyAuthentication"                        , ,   -- # 1059 unoil.jar
		"com.sun.star.ucb.XInteractionSupplyName"                                  , ,   -- # 1060 unoil.jar
		"com.sun.star.ucb.XParameterizedContentProvider"                           , ,   -- # 1061 unoil.jar
		"com.sun.star.ucb.XPersistentPropertySet"                                  , ,   -- # 1062 unoil.jar
		"com.sun.star.ucb.XProgressHandler"                                        , ,   -- # 1063 unoil.jar
		"com.sun.star.ucb.XPropertyMatcher"                                        , ,   -- # 1064 unoil.jar
		"com.sun.star.ucb.XPropertyMatcherFactory"                                 , ,   -- # 1065 unoil.jar
		"com.sun.star.ucb.XPropertySetRegistry"                                    , ,   -- # 1066 unoil.jar
		"com.sun.star.ucb.XPropertySetRegistryFactory"                             , ,   -- # 1067 unoil.jar
		"com.sun.star.ucb.XRecycler"                                               , ,   -- # 1068 unoil.jar
		"com.sun.star.ucb.XRemoteContentProviderAcceptor"                          , ,   -- # 1069 unoil.jar
		"com.sun.star.ucb.XRemoteContentProviderActivator"                         , ,   -- # 1070 unoil.jar
		"com.sun.star.ucb.XRemoteContentProviderChangeListener"                    , ,   -- # 1071 unoil.jar
		"com.sun.star.ucb.XRemoteContentProviderChangeNotifier"                    , ,   -- # 1072 unoil.jar
		"com.sun.star.ucb.XRemoteContentProviderConnectionControl"                 , ,   -- # 1073 unoil.jar
		"com.sun.star.ucb.XRemoteContentProviderDistributor"                       , ,   -- # 1074 unoil.jar
		"com.sun.star.ucb.XRemoteContentProviderDoneListener"                      , ,   -- # 1075 unoil.jar
		"com.sun.star.ucb.XRemoteContentProviderSupplier"                          , ,   -- # 1076 unoil.jar
		"com.sun.star.ucb.XSimpleFileAccess"                                       , ,   -- # 1077 unoil.jar
		"com.sun.star.ucb.XSimpleFileAccess2"                                      , ,   -- # 1078 unoil.jar
		"com.sun.star.ucb.XSimpleFileAccess3"                                      , ,   -- # 1079 unoil.jar
		"com.sun.star.ucb.XSortedDynamicResultSetFactory"                          , ,   -- # 1080 unoil.jar
		"com.sun.star.ucb.XSourceInitialization"                                   , ,   -- # 1081 unoil.jar
		"com.sun.star.ui.XAcceleratorConfiguration"                                , ,   -- # 1082 unoil.jar
		"com.sun.star.ui.XContextMenuInterception"                                 , ,   -- # 1083 unoil.jar
		"com.sun.star.ui.XContextMenuInterceptor"                                  , ,   -- # 1084 unoil.jar
		"com.sun.star.ui.XDockingAreaAcceptor"                                     , ,   -- # 1085 unoil.jar
		"com.sun.star.ui.XImageManager"                                            , ,   -- # 1086 unoil.jar
		"com.sun.star.ui.XModuleUIConfigurationManager"                            , ,   -- # 1087 unoil.jar
		"com.sun.star.ui.XModuleUIConfigurationManagerSupplier"                    , ,   -- # 1088 unoil.jar
		"com.sun.star.ui.XUIConfiguration"                                         , ,   -- # 1089 unoil.jar
		"com.sun.star.ui.XUIConfigurationListener"                                 , ,   -- # 1090 unoil.jar
		"com.sun.star.ui.XUIConfigurationManager"                                  , ,   -- # 1091 unoil.jar
		"com.sun.star.ui.XUIConfigurationManagerSupplier"                          , ,   -- # 1092 unoil.jar
		"com.sun.star.ui.XUIConfigurationPersistence"                              , ,   -- # 1093 unoil.jar
		"com.sun.star.ui.XUIConfigurationStorage"                                  , ,   -- # 1094 unoil.jar
		"com.sun.star.ui.XUIElement"                                               , ,   -- # 1095 unoil.jar
		"com.sun.star.ui.XUIElementFactory"                                        , ,   -- # 1096 unoil.jar
		"com.sun.star.ui.XUIElementFactoryRegistration"                            , ,   -- # 1097 unoil.jar
		"com.sun.star.ui.XUIElementSettings"                                       , ,   -- # 1098 unoil.jar
		"com.sun.star.ui.XUIFunctionListener"                                      , ,   -- # 1099 unoil.jar
		"com.sun.star.ui.dialogs.XControlAccess"                                   , ,   -- # 1100 unoil.jar
		"com.sun.star.ui.dialogs.XControlInformation"                              , ,   -- # 1101 unoil.jar
		"com.sun.star.ui.dialogs.XExecutableDialog"                                , ,   -- # 1102 unoil.jar
		"com.sun.star.ui.dialogs.XFilePicker"                                      , ,   -- # 1103 unoil.jar
		"com.sun.star.ui.dialogs.XFilePickerControlAccess"                         , ,   -- # 1104 unoil.jar
		"com.sun.star.ui.dialogs.XFilePickerListener"                              , ,   -- # 1105 unoil.jar
		"com.sun.star.ui.dialogs.XFilePickerNotifier"                              , ,   -- # 1106 unoil.jar
		"com.sun.star.ui.dialogs.XFilePreview"                                     , ,   -- # 1107 unoil.jar
		"com.sun.star.ui.dialogs.XFilterGroupManager"                              , ,   -- # 1108 unoil.jar
		"com.sun.star.ui.dialogs.XFilterManager"                                   , ,   -- # 1109 unoil.jar
		"com.sun.star.ui.dialogs.XFolderPicker"                                    , ,   -- # 1110 unoil.jar
		"com.sun.star.uno.XAdapter"                                                , ,   -- # 1111 ridl.jar
		"com.sun.star.uno.XAggregation"                                            , ,   -- # 1112 ridl.jar
		"com.sun.star.uno.XComponentContext"                                       , ,   -- # 1113 ridl.jar
		"com.sun.star.uno.XCurrentContext"                                         , ,   -- # 1114 ridl.jar
		"com.sun.star.uno.XInterface"                                              , ,   -- # 1115 ridl.jar
/* ---> [com.sun.star.uno.XInterface]: class name [XInterface] in use already! (com.sun.star.uno.XInterface) */ -
		"com.sun.star.uno.XInterface"                                              , ,   -- # 1116 unoil.jar
		"com.sun.star.uno.XNamingService"                                          , ,   -- # 1117 ridl.jar
		"com.sun.star.uno.XReference"                                              , ,   -- # 1118 ridl.jar
		"com.sun.star.uno.XUnloadingPreference"                                    , ,   -- # 1119 ridl.jar
		"com.sun.star.uno.XWeak"                                                   , ,   -- # 1120 ridl.jar
		"com.sun.star.uri.XExternalUriReferenceTranslator"                         , ,   -- # 1121 ridl.jar
		"com.sun.star.uri.XUriReference"                                           , ,   -- # 1122 ridl.jar
		"com.sun.star.uri.XUriReferenceFactory"                                    , ,   -- # 1123 ridl.jar
		"com.sun.star.uri.XUriSchemeParser"                                        , ,   -- # 1124 ridl.jar
		"com.sun.star.uri.XVndSunStarPkgUrlReferenceFactory"                       , ,   -- # 1125 ridl.jar
		"com.sun.star.uri.XVndSunStarScriptUrl"                                    , ,   -- # 1126 ridl.jar
		"com.sun.star.uri.XVndSunStarScriptUrlReference"                           , ,   -- # 1127 ridl.jar
		"com.sun.star.util.XArchiver"                                              , ,   -- # 1128 unoil.jar
		"com.sun.star.util.XAtomServer"                                            , ,   -- # 1129 unoil.jar
		"com.sun.star.util.XCancelManager"                                         , ,   -- # 1130 unoil.jar
		"com.sun.star.util.XCancellable"                                           , ,   -- # 1131 unoil.jar
		"com.sun.star.util.XChainable"                                             , ,   -- # 1132 unoil.jar
		"com.sun.star.util.XChangesBatch"                                          , ,   -- # 1133 unoil.jar
		"com.sun.star.util.XChangesListener"                                       , ,   -- # 1134 unoil.jar
		"com.sun.star.util.XChangesNotifier"                                       , ,   -- # 1135 unoil.jar
		"com.sun.star.util.XChangesSet"                                            , ,   -- # 1136 unoil.jar
		"com.sun.star.util.XCloneable"                                             , ,   -- # 1137 unoil.jar
		"com.sun.star.util.XCloseBroadcaster"                                      , ,   -- # 1138 unoil.jar
		"com.sun.star.util.XCloseListener"                                         , ,   -- # 1139 unoil.jar
/* ---> [com.sun.star.util.XCloseable]: class name [XCloseable] in use already! (com.sun.star.sdbc.XCloseable) */ -
		"com.sun.star.util.XCloseable"                                             , ,   -- # 1140 unoil.jar
		"com.sun.star.util.XDataEditor"                                            , ,   -- # 1141 unoil.jar
		"com.sun.star.util.XDataEditorListener"                                    , ,   -- # 1142 unoil.jar
		"com.sun.star.util.XFlushListener"                                         , ,   -- # 1143 unoil.jar
		"com.sun.star.util.XFlushable"                                             , ,   -- # 1144 unoil.jar
		"com.sun.star.util.XImportable"                                            , ,   -- # 1145 unoil.jar
		"com.sun.star.util.XIndent"                                                , ,   -- # 1146 unoil.jar
		"com.sun.star.util.XLinkUpdate"                                            , ,   -- # 1147 unoil.jar
		"com.sun.star.util.XLocalizedAliases"                                      , ,   -- # 1148 unoil.jar
		"com.sun.star.util.XMacroExpander"                                         , ,   -- # 1149 ridl.jar
		"com.sun.star.util.XMergeable"                                             , ,   -- # 1150 unoil.jar
		"com.sun.star.util.XModeChangeApproveListener"                             , ,   -- # 1151 unoil.jar
		"com.sun.star.util.XModeChangeBroadcaster"                                 , ,   -- # 1152 unoil.jar
		"com.sun.star.util.XModeChangeListener"                                    , ,   -- # 1153 unoil.jar
		"com.sun.star.util.XModeSelector"                                          , ,   -- # 1154 unoil.jar
		"com.sun.star.util.XModifiable"                                            , ,   -- # 1155 unoil.jar
		"com.sun.star.util.XModifyBroadcaster"                                     , ,   -- # 1156 unoil.jar
		"com.sun.star.util.XModifyListener"                                        , ,   -- # 1157 unoil.jar
		"com.sun.star.util.XNumberFormatPreviewer"                                 , ,   -- # 1158 unoil.jar
		"com.sun.star.util.XNumberFormatTypes"                                     , ,   -- # 1159 unoil.jar
		"com.sun.star.util.XNumberFormats"                                         , ,   -- # 1160 unoil.jar
		"com.sun.star.util.XNumberFormatsSupplier"                                 , ,   -- # 1161 unoil.jar
		"com.sun.star.util.XNumberFormatter"                                       , ,   -- # 1162 unoil.jar
		"com.sun.star.util.XOfficeInstallationDirectories"                         , ,   -- # 1163 unoil.jar
		"com.sun.star.util.XPropertyReplace"                                       , ,   -- # 1164 unoil.jar
		"com.sun.star.util.XProtectable"                                           , ,   -- # 1165 unoil.jar
		"com.sun.star.util.XRefreshListener"                                       , ,   -- # 1166 unoil.jar
		"com.sun.star.util.XRefreshable"                                           , ,   -- # 1167 unoil.jar
		"com.sun.star.util.XReplaceDescriptor"                                     , ,   -- # 1168 unoil.jar
		"com.sun.star.util.XReplaceable"                                           , ,   -- # 1169 unoil.jar
		"com.sun.star.util.XSearchDescriptor"                                      , ,   -- # 1170 unoil.jar
		"com.sun.star.util.XSearchable"                                            , ,   -- # 1171 unoil.jar
		"com.sun.star.util.XSimpleErrorHandler"                                    , ,   -- # 1172 unoil.jar
		"com.sun.star.util.XSortable"                                              , ,   -- # 1173 unoil.jar
		"com.sun.star.util.XStringAbbreviation"                                    , ,   -- # 1174 unoil.jar
		"com.sun.star.util.XStringEscape"                                          , ,   -- # 1175 unoil.jar
		"com.sun.star.util.XStringMapping"                                         , ,   -- # 1176 unoil.jar
		"com.sun.star.util.XStringSubstitution"                                    , ,   -- # 1177 unoil.jar
		"com.sun.star.util.XStringWidth"                                           , ,   -- # 1178 unoil.jar
		"com.sun.star.util.XTextSearch"                                            , ,   -- # 1179 unoil.jar
		"com.sun.star.util.XTimeStamped"                                           , ,   -- # 1180 unoil.jar
		"com.sun.star.util.XURLTransformer"                                        , ,   -- # 1181 unoil.jar
		"com.sun.star.util.XUniqueIDFactory"                                       , ,   -- # 1182 unoil.jar
		"com.sun.star.util.XUpdatable"                                             , ,   -- # 1183 unoil.jar
		"com.sun.star.util.XVeto"                                                  , ,   -- # 1184 ridl.jar
		"com.sun.star.util.logging.XLogger"                                        , ,   -- # 1185 ridl.jar
		"com.sun.star.util.logging.XLoggerRemote"                                  , ,   -- # 1186 ridl.jar
/* ---> [com.sun.star.view.XControlAccess]: class name [XControlAccess] in use already! (com.sun.star.ui.dialogs.XControlAccess) */ -
		"com.sun.star.view.XControlAccess"                                         , ,   -- # 1187 unoil.jar
		"com.sun.star.view.XLineCursor"                                            , ,   -- # 1188 unoil.jar
		"com.sun.star.view.XPrintJob"                                              , ,   -- # 1189 unoil.jar
		"com.sun.star.view.XPrintJobBroadcaster"                                   , ,   -- # 1190 unoil.jar
		"com.sun.star.view.XPrintJobListener"                                      , ,   -- # 1191 unoil.jar
		"com.sun.star.view.XPrintPreview"                                          , ,   -- # 1192 unoil.jar
		"com.sun.star.view.XPrintSettingsSupplier"                                 , ,   -- # 1193 unoil.jar
		"com.sun.star.view.XPrintable"                                             , ,   -- # 1194 unoil.jar
		"com.sun.star.view.XPrintableBroadcaster"                                  , ,   -- # 1195 unoil.jar
		"com.sun.star.view.XPrintableListener"                                     , ,   -- # 1196 unoil.jar
		"com.sun.star.view.XRenderable"                                            , ,   -- # 1197 unoil.jar
		"com.sun.star.view.XScreenCursor"                                          , ,   -- # 1198 unoil.jar
		"com.sun.star.view.XSelectionChangeListener"                               , ,   -- # 1199 unoil.jar
		"com.sun.star.view.XSelectionSupplier"                                     , ,   -- # 1200 unoil.jar
		"com.sun.star.view.XViewCursor"                                            , ,   -- # 1201 unoil.jar
		"com.sun.star.view.XViewSettingsSupplier"                                  , ,   -- # 1202 unoil.jar
		"com.sun.star.xforms.XDataTypeRepository"                                  , ,   -- # 1203 unoil.jar
		"com.sun.star.xforms.XFormsEvent"                                          , ,   -- # 1204 unoil.jar
/* ---> [com.sun.star.xforms.XFormsSupplier]: class name [XFormsSupplier] in use already! (com.sun.star.form.XFormsSupplier) */ -
		"com.sun.star.xforms.XFormsSupplier"                                       , ,   -- # 1205 unoil.jar
		"com.sun.star.xforms.XFormsUIHelper1"                                      , ,   -- # 1206 unoil.jar
/* ---> [com.sun.star.xforms.XModel]: class name [XModel] in use already! (com.sun.star.frame.XModel) */ -
		"com.sun.star.xforms.XModel"                                               , ,   -- # 1207 unoil.jar
/* ---> [com.sun.star.xforms.XSubmission]: class name [XSubmission] in use already! (com.sun.star.form.submission.XSubmission) */ -
		"com.sun.star.xforms.XSubmission"                                          , ,   -- # 1208 unoil.jar
		"com.sun.star.xml.XExportFilter"                                           , ,   -- # 1209 unoil.jar
		"com.sun.star.xml.XImportFilter"                                           , ,   -- # 1210 unoil.jar
		"com.sun.star.xml.crypto.XMLEncryptionException"                           , ,   -- # 1211 unoil.jar
		"com.sun.star.xml.crypto.XMLSignatureException"                            , ,   -- # 1212 unoil.jar
		"com.sun.star.xml.crypto.XSEInitializer"                                   , ,   -- # 1213 unoil.jar
		"com.sun.star.xml.crypto.XSecurityEnvironment"                             , ,   -- # 1214 unoil.jar
		"com.sun.star.xml.crypto.XUriBinding"                                      , ,   -- # 1215 unoil.jar
		"com.sun.star.xml.crypto.XXMLEncryption"                                   , ,   -- # 1216 unoil.jar
		"com.sun.star.xml.crypto.XXMLEncryptionTemplate"                           , ,   -- # 1217 unoil.jar
		"com.sun.star.xml.crypto.XXMLSecurityContext"                              , ,   -- # 1218 unoil.jar
		"com.sun.star.xml.crypto.XXMLSecurityTemplate"                             , ,   -- # 1219 unoil.jar
		"com.sun.star.xml.crypto.XXMLSignature"                                    , ,   -- # 1220 unoil.jar
		"com.sun.star.xml.crypto.XXMLSignatureTemplate"                            , ,   -- # 1221 unoil.jar
		"com.sun.star.xml.crypto.sax.XBlockerMonitor"                              , ,   -- # 1222 unoil.jar
		"com.sun.star.xml.crypto.sax.XDecryptionResultBroadcaster"                 , ,   -- # 1223 unoil.jar
		"com.sun.star.xml.crypto.sax.XDecryptionResultListener"                    , ,   -- # 1224 unoil.jar
		"com.sun.star.xml.crypto.sax.XElementStackKeeper"                          , ,   -- # 1225 unoil.jar
		"com.sun.star.xml.crypto.sax.XEncryptionResultBroadcaster"                 , ,   -- # 1226 unoil.jar
		"com.sun.star.xml.crypto.sax.XEncryptionResultListener"                    , ,   -- # 1227 unoil.jar
		"com.sun.star.xml.crypto.sax.XKeyCollector"                                , ,   -- # 1228 unoil.jar
		"com.sun.star.xml.crypto.sax.XMissionTaker"                                , ,   -- # 1229 unoil.jar
		"com.sun.star.xml.crypto.sax.XReferenceCollector"                          , ,   -- # 1230 unoil.jar
		"com.sun.star.xml.crypto.sax.XReferenceResolvedBroadcaster"                , ,   -- # 1231 unoil.jar
		"com.sun.star.xml.crypto.sax.XReferenceResolvedListener"                   , ,   -- # 1232 unoil.jar
		"com.sun.star.xml.crypto.sax.XSAXEventKeeper"                              , ,   -- # 1233 unoil.jar
		"com.sun.star.xml.crypto.sax.XSAXEventKeeperStatusChangeBroadcaster"       , ,   -- # 1234 unoil.jar
		"com.sun.star.xml.crypto.sax.XSAXEventKeeperStatusChangeListener"          , ,   -- # 1235 unoil.jar
		"com.sun.star.xml.crypto.sax.XSecurityController"                          , ,   -- # 1236 unoil.jar
		"com.sun.star.xml.crypto.sax.XSecuritySAXEventKeeper"                      , ,   -- # 1237 unoil.jar
		"com.sun.star.xml.crypto.sax.XSignatureCreationResultBroadcaster"          , ,   -- # 1238 unoil.jar
		"com.sun.star.xml.crypto.sax.XSignatureCreationResultListener"             , ,   -- # 1239 unoil.jar
		"com.sun.star.xml.crypto.sax.XSignatureVerifyResultBroadcaster"            , ,   -- # 1240 unoil.jar
		"com.sun.star.xml.crypto.sax.XSignatureVerifyResultListener"               , ,   -- # 1241 unoil.jar
		"com.sun.star.xml.csax.XCompressedDocumentHandler"                         , ,   -- # 1242 unoil.jar
		"com.sun.star.xml.csax.XMLAttribute"                                       , ,   -- # 1243 unoil.jar
		"com.sun.star.xml.dom.XAttr"                                               , ,   -- # 1244 unoil.jar
		"com.sun.star.xml.dom.XCDATASection"                                       , ,   -- # 1245 unoil.jar
		"com.sun.star.xml.dom.XCharacterData"                                      , ,   -- # 1246 unoil.jar
		"com.sun.star.xml.dom.XComment"                                            , ,   -- # 1247 unoil.jar
		"com.sun.star.xml.dom.XDOMImplementation"                                  , ,   -- # 1248 unoil.jar
		"com.sun.star.xml.dom.XDocument"                                           , ,   -- # 1249 unoil.jar
		"com.sun.star.xml.dom.XDocumentBuilder"                                    , ,   -- # 1250 unoil.jar
		"com.sun.star.xml.dom.XDocumentFragment"                                   , ,   -- # 1251 unoil.jar
		"com.sun.star.xml.dom.XDocumentType"                                       , ,   -- # 1252 unoil.jar
		"com.sun.star.xml.dom.XElement"                                            , ,   -- # 1253 unoil.jar
		"com.sun.star.xml.dom.XEntity"                                             , ,   -- # 1254 unoil.jar
		"com.sun.star.xml.dom.XEntityReference"                                    , ,   -- # 1255 unoil.jar
		"com.sun.star.xml.dom.XNamedNodeMap"                                       , ,   -- # 1256 unoil.jar
		"com.sun.star.xml.dom.XNode"                                               , ,   -- # 1257 unoil.jar
		"com.sun.star.xml.dom.XNodeList"                                           , ,   -- # 1258 unoil.jar
		"com.sun.star.xml.dom.XNotation"                                           , ,   -- # 1259 unoil.jar
		"com.sun.star.xml.dom.XProcessingInstruction"                              , ,   -- # 1260 unoil.jar
		"com.sun.star.xml.dom.XSAXDocumentBuilder"                                 , ,   -- # 1261 unoil.jar
/* ---> [com.sun.star.xml.dom.XText]: class name [XText] in use already! (com.sun.star.text.XText) */ -
		"com.sun.star.xml.dom.XText"                                               , ,   -- # 1262 unoil.jar
		"com.sun.star.xml.dom.events.XDocumentEvent"                               , ,   -- # 1263 unoil.jar
		"com.sun.star.xml.dom.events.XEvent"                                       , ,   -- # 1264 unoil.jar
/* ---> [com.sun.star.xml.dom.events.XEventListener]: class name [XEventListener] in use already! (com.sun.star.document.XEventListener) */ -
		"com.sun.star.xml.dom.events.XEventListener"                               , ,   -- # 1265 unoil.jar
		"com.sun.star.xml.dom.events.XEventTarget"                                 , ,   -- # 1266 unoil.jar
		"com.sun.star.xml.dom.events.XMouseEvent"                                  , ,   -- # 1267 unoil.jar
		"com.sun.star.xml.dom.events.XMutationEvent"                               , ,   -- # 1268 unoil.jar
		"com.sun.star.xml.dom.events.XUIEvent"                                     , ,   -- # 1269 unoil.jar
		"com.sun.star.xml.dom.views.XAbstractView"                                 , ,   -- # 1270 unoil.jar
		"com.sun.star.xml.dom.views.XDocumentView"                                 , ,   -- # 1271 unoil.jar
		"com.sun.star.xml.input.XAttributes"                                       , ,   -- # 1272 unoil.jar
/* ---> [com.sun.star.xml.input.XElement]: class name [XElement] in use already! (com.sun.star.xml.dom.XElement) */ -
		"com.sun.star.xml.input.XElement"                                          , ,   -- # 1273 unoil.jar
		"com.sun.star.xml.input.XNamespaceMapping"                                 , ,   -- # 1274 unoil.jar
		"com.sun.star.xml.input.XRoot"                                             , ,   -- # 1275 unoil.jar
		"com.sun.star.xml.sax.XAttributeList"                                      , ,   -- # 1276 unoil.jar
		"com.sun.star.xml.sax.XDTDHandler"                                         , ,   -- # 1277 unoil.jar
		"com.sun.star.xml.sax.XDocumentHandler"                                    , ,   -- # 1278 unoil.jar
		"com.sun.star.xml.sax.XEntityResolver"                                     , ,   -- # 1279 unoil.jar
		"com.sun.star.xml.sax.XErrorHandler"                                       , ,   -- # 1280 unoil.jar
		"com.sun.star.xml.sax.XExtendedDocumentHandler"                            , ,   -- # 1281 unoil.jar
		"com.sun.star.xml.sax.XLocator"                                            , ,   -- # 1282 unoil.jar
		"com.sun.star.xml.sax.XParser"                                             , ,   -- # 1283 unoil.jar
		"com.sun.star.xml.wrapper.XXMLDocumentWrapper"                             , ,   -- # 1284 unoil.jar
		"com.sun.star.xml.wrapper.XXMLElementWrapper"                              , ,   -- # 1285 unoil.jar
		"com.sun.star.xml.xpath.XPathObjectType"                                   , ,   -- # 1286 unoil.jar
		"com.sun.star.xml.xpath.XXPathAPI"                                         , ,   -- # 1287 unoil.jar
		"com.sun.star.xml.xpath.XXPathExtension"                                   , ,   -- # 1288 unoil.jar
		"com.sun.star.xml.xpath.XXPathObject"                                      , ,   -- # 1289 unoil.jar
		"com.sun.star.xsd.XDataType"                                               , ,   -- # 1290 unoil.jar
/* ---> [drafts.com.sun.star.form.XBindableValue]: class name [XBindableValue] in use already! (com.sun.star.form.binding.XBindableValue) */ -
		"drafts.com.sun.star.form.XBindableValue"                                  , ,   -- # 1291 unoil.jar
/* ---> [drafts.com.sun.star.form.XListEntryListener]: class name [XListEntryListener] in use already! (com.sun.star.form.binding.XListEntryListener) */ -
		"drafts.com.sun.star.form.XListEntryListener"                              , ,   -- # 1292 unoil.jar
/* ---> [drafts.com.sun.star.form.XListEntrySink]: class name [XListEntrySink] in use already! (com.sun.star.form.binding.XListEntrySink) */ -
		"drafts.com.sun.star.form.XListEntrySink"                                  , ,   -- # 1293 unoil.jar
/* ---> [drafts.com.sun.star.form.XListEntrySource]: class name [XListEntrySource] in use already! (com.sun.star.form.binding.XListEntrySource) */ -
		"drafts.com.sun.star.form.XListEntrySource"                                , ,   -- # 1294 unoil.jar
/* ---> [drafts.com.sun.star.form.XValueBinding]: class name [XValueBinding] in use already! (com.sun.star.form.binding.XValueBinding) */ -
		"drafts.com.sun.star.form.XValueBinding"                                     ,   -- # 1295 unoil.jar
   )

-- maximum fully qualified class-name length: 72, maximum length of class name: 41
-- say l~items "items in list l" /* should be: 1295 items */

   return l
